<?php

class bt_bb_background_letter extends BT_BB_Element {

	function handle_shortcode( $atts, $content ) {
		
		extract( shortcode_atts( apply_filters( 'bt_bb_extract_atts_' . $this->shortcode, array(
			'letter'		=> '',
			'font'			=> '',
			'font_subset'	=> '',
			'color'			=> '',
			'opacity'		=> '',
			'size'			=> ''
		) ), $atts, $this->shortcode ) );
		
		$class = array(); //array( $this->shortcode );
		
		$class[] = 'bt_bb_background_letter';

		if ( $el_class != '' ) {
			$class[] = $el_class;
		}

		if ( $font != '' && $font != 'inherit' ) {
			require_once( WP_PLUGIN_DIR   . '/bold-page-builder/content_elements_misc/misc.php' );
			bt_bb_enqueue_google_font( $font, $font_subset );
		}

		if ( $color != '' ) {
			$class[] = $this->prefix . 'color' . '_' . $color;
		}

		if ( $opacity != '' ) {
			$class[] = $this->prefix . 'opacity' . '_' . $opacity;
		}

		if ( $size != '' ) {
			$class[] = $this->prefix . 'size' . '_' . $size;
		}


		$letter_font_style = "";
		if ( $font != '' && $font != 'inherit' ) {
			$letter_font_style = ' style="font-family:\'' . urldecode( $font ) . '\';"';
		}


		$id_attr = '';
		if ( $el_id != '' ) {
			$id_attr = ' ' . 'id="' . esc_attr( $el_id ) . '"';
		}
		
		$class = apply_filters( $this->shortcode . '_class', $class, $atts );
		$class_attr = implode( ' ', $class );


		if ( $el_class != '' ) {
			$class_attr = $class_attr . ' ' . $el_class;
		}

		$style_attr = '';
		if ( $el_style != '' ) {
			$style_attr = ' ' . 'style="' . esc_attr( $el_style ) . '"';
		}


		$output = '<div' . $id_attr . ' class="' . esc_attr( $class_attr ) . '"' . $style_attr . '>';

			if ( $letter != '' ) $output .= '<span class="' . esc_attr( $this->shortcode . '_letter' ) . '" ' . $letter_font_style . '>' . $letter . '</span>';

			$output .= '<div class="' . esc_attr( $this->shortcode ) . '_inner_content">';
				
				if ( $content != '' ) $output .=  wpautop( ( do_shortcode( $content ) ) );
			$output .= '</div>';


		$output .= '</div>';
		
		$output = apply_filters( 'bt_bb_general_output', $output, $atts );
		$output = apply_filters( $this->shortcode . '_output', $output, $atts );
			
		return $output;
	}

	function map_shortcode() {

		include( WP_PLUGIN_DIR   . '/bold-page-builder/content_elements_misc/fonts.php' );	

		bt_bb_map( $this->shortcode, array( 'name' => esc_html__( 'Background Letter', 'avala' ), 'description' => esc_html__( 'Letter visible behind Headline and Text', 'avala' ), 'container' => 'vertical', 'accept' => array( 'bt_bb_headline' => true, 'bt_bb_text' => true, 'bt_bb_separator' => true ), 'icon' => $this->prefix_backend . 'icon' . '_' . $this->shortcode,
			'params' => array(
				array( 'param_name' => 'letter', 'type' => 'textfield', 'preview' => true, 'heading' => esc_html__( 'Letter', 'avala' ) ),
				array( 'param_name' => 'font', 'type' => 'dropdown', 'heading' => esc_html__( 'Font', 'avala' ), 'preview' => true,
					'value' => array( esc_html__( 'Inherit', 'avala' ) => 'inherit' ) + $font_arr
				),
				array( 'param_name' => 'font_subset', 'type' => 'textfield', 'heading' => esc_html__( 'Font subset', 'avala' ), 'value' => 'latin,latin-ext', 'description' => 'E.g. latin,latin-ext,cyrillic,cyrillic-ext' ),
				array( 'param_name' => 'color', 'type' => 'dropdown', 'heading' => esc_html__( 'Color', 'avala' ), 'preview' => true,
					'value' => array(
						esc_html__( 'Light Gray', 'avala' ) 	=> '',
						esc_html__( 'Dark Gray', 'avala' ) 	=> 'dark_gray',
						esc_html__( 'Accent', 'avala' ) 		=> 'accent',
						esc_html__( 'Alternate', 'avala' ) 	=> 'alternate',
						esc_html__( 'Light', 'avala' ) 		=> 'light',
						esc_html__( 'Dark', 'avala' ) 		=> 'dark'
				) ),
				array( 'param_name' => 'opacity', 'type' => 'dropdown', 'heading' => esc_html__( 'Letter opacity', 'avala' ),
					'value' => array(
						esc_html__( 'None', 'avala' ) 	=> '',
						esc_html__( '0.7', 'avala' ) 		=> 'medium',
						esc_html__( '0.6', 'avala' ) 		=> 'small',
						esc_html__( '0.5', 'avala' ) 		=> 'extrasmall',
						esc_html__( '0.4', 'avala' ) 		=> 'extraextrasmall',
						esc_html__( '0.3', 'avala' ) 		=> 'light',
						esc_html__( '0.2', 'avala' ) 		=> 'lighter',
						esc_html__( '0.1', 'avala' ) 		=> 'transparent'
				) ),
				array( 'param_name' => 'size', 'type' => 'dropdown', 'heading' => esc_html__( 'Letter size', 'avala' ),
					'value' => array(
						esc_html__( 'Small', 'avala' ) 		=> 'small',
						esc_html__( 'Medium', 'avala' ) 		=> '',
						esc_html__( 'Normal', 'avala' ) 		=> 'normal',
						esc_html__( 'Large', 'avala' ) 		=> 'large'
				) ),
			)
		) );

	}
}