<?php

class bt_bb_countdown extends BT_BB_Element {

	function handle_shortcode( $atts, $content ) {
		
		extract( shortcode_atts( apply_filters( 'bt_bb_extract_atts_' . $this->shortcode, array(
			'datetime'			=> '',
			'days_icon'			=> '',
			'hours_icon'		=> '',
			'minutes_icon'		=> '',
			'seconds_icon'		=> '',
			'hide_indication'	=> '',
			'hide_lines'		=> '',
			'color_scheme' 		=> '',
			'font'				=> '',
			'font_subset'		=> ''
		) ), $atts, $this->shortcode ) );

		$class = array( $this->shortcode, 'btCounterHolder' );

		if ( $el_class != '' ) {
			$class[] = $el_class;
		}

		if ( $font != '' && $font != 'inherit' ) {
			require_once( WP_PLUGIN_DIR   . '/bold-page-builder/content_elements_misc/misc.php' );
			bt_bb_enqueue_google_font( $font, $font_subset );
		}

		if ( $hide_lines != '' ) {
			$class[] = "btHideLines";
		}

		$html_countdown_font_style = "";
		if ( $font != '' && $font != 'inherit' ) {
			$html_countdown_font_style = ' style="font-family:\'' . urldecode( $font ) . '\';"';
		}

		$id_attr = '';
		if ( $el_id != '' ) {
			$id_attr = ' ' . 'id="' . esc_attr( $el_id ) . '"';
		}

		
		$color_scheme_id = NULL;
		if ( is_numeric ( $color_scheme ) ) {
			$color_scheme_id = $color_scheme;
		} else if ( $color_scheme != '' ) {
			$color_scheme_id = bt_bb_get_color_scheme_id( $color_scheme );
		}
		$color_scheme_colors = bt_bb_get_color_scheme_colors_by_id( $color_scheme_id - 1 );
		if ( $color_scheme_colors ) $el_style .= '; --countdown-primary-color:' . $color_scheme_colors[0] . '; --countdown-secondary-color:' . $color_scheme_colors[1] . ';';
		if ( $color_scheme != '' ) $class[] = $this->prefix . 'color_scheme_' .  $color_scheme_id;

		$datetime = sanitize_text_field( $datetime );
		
		$target = strtotime( $datetime );
		$now = strtotime( 'now' );
		
		$init_seconds = $target - $now;
		if ( $init_seconds < 0 ) {
			$init_seconds = 0;
		}
		
		$d_text = esc_html__( 'Days', 'avala' );
		$h_text = esc_html__( 'Hours', 'avala' );
		$m_text = esc_html__( 'Minutes', 'avala' );
		$s_text = esc_html__( 'Seconds', 'avala' );
		
		if ( $hide_indication == 'yes' ) {
			$d_text = '';
			$h_text = '';
			$m_text = '';
			$s_text = '';
		}

		$days_icon_html = bt_bb_icon::get_html( $days_icon, '' );
		$hours_icon_html = bt_bb_icon::get_html( $hours_icon, '' );
		$minutes_icon_html = bt_bb_icon::get_html( $minutes_icon, '' );
		$seconds_icon_html = bt_bb_icon::get_html( $seconds_icon, '' );

		$style_attr = '';
		if ( $el_style != '' ) {
			$style_attr = ' ' . 'style="' . esc_attr( $el_style ) . '"';
		}

		$class = apply_filters( $this->shortcode . '_class', $class, $atts );

		$output = '<div' . $id_attr . ' class="' . implode( ' ', $class ) . '"' . $style_attr . '>';

			$output .= '<div class="btCountdownHolder" data-init-seconds="' . esc_attr( $init_seconds ) . '">';




				// DAYS
				$output .= '<div class="days_content">';
					if ( $days_icon != '' ) $output .= '<div class="' . esc_attr( $this->shortcode . '_days_icon' ) . '">' . $days_icon_html . '</div>';
					$output .= '<span class="days" data-text="' . esc_attr( $d_text ) . '" ' . $html_countdown_font_style . '>';
					$output .= '</span>';
				$output .= '</div>';


				// HOURS
				$output .= '<div class="hours_content">';
					if ( $hours_icon != '' ) $output .= '<div class="' . esc_attr( $this->shortcode . '_hours_icon' ) . '">' . $hours_icon_html . '</div>';
					$output .= '<span class="hours" ' . $html_countdown_font_style . '><span class="n0"><span></span><span></span></span><span class="n1"><span></span><span></span></span><span class="hours_text"><span>' . $h_text . '</span></span></span>';

				$output .= '</div>';


				// MINUTES
				$output .= '<div class="minutes_content">';
					if ( $minutes_icon != '' ) $output .= '<div class="' . esc_attr( $this->shortcode . '_minutes_icon' ) . '">' . $minutes_icon_html . '</div>';
					$output .= '<span class="minutes" ' . $html_countdown_font_style . '><span class="n0"><span></span><span></span></span><span class="n1"><span></span><span></span></span><span class="minutes_text"><span>' . $m_text . '</span></span></span>';
				$output .= '</div>';



				// SECONDS
				$output .= '<div class="seconds_content">';
					if ( $seconds_icon != '' ) $output .= '<div class="' . esc_attr( $this->shortcode . '_seconds_icon' ) . '">' . $seconds_icon_html . '</div>';
					$output .= '<span class="seconds" ' . $html_countdown_font_style . '><span class="n0"><span></span><span></span></span><span class="n1"><span></span><span></span></span><span class="seconds_text"><span>' . $s_text . '</span></span></span>';
				$output .= '</div>';
				


			$output .= '</div>';
		$output .= '</div>';
		
		$output = apply_filters( 'bt_bb_general_output', $output, $atts );
		$output = apply_filters( $this->shortcode . '_output', $output, $atts );

		return $output;
	}

	function map_shortcode() {

		include( WP_PLUGIN_DIR   . '/bold-page-builder/content_elements_misc/fonts.php' );	
		
		$color_scheme_arr = bt_bb_get_color_scheme_param_array();

		bt_bb_map( $this->shortcode, array( 'name' => esc_html__( 'Countdown', 'avala' ), 'description' => esc_html__( 'Animated countdown', 'avala' ),  
			'icon' => $this->prefix_backend . 'icon' . '_' . $this->shortcode,
			'params' => array(
				array( 'param_name' => 'datetime', 'type' => 'textfield', 'heading' => esc_html__( 'Target date and time', 'avala' ), 'description' => esc_html__( 'YY-mm-dd HH:mm:ss, e.g. 2022-02-22 22:45:00', 'avala' ), 'preview' => true ),

				array( 'param_name' => 'days_icon', 'type' => 'iconpicker', 'heading' => esc_html__( 'Days icon', 'avala' ) ),
				array( 'param_name' => 'hours_icon', 'type' => 'iconpicker', 'heading' => esc_html__( 'Hours icon', 'avala' ) ),
				array( 'param_name' => 'minutes_icon', 'type' => 'iconpicker', 'heading' => esc_html__( 'Minutes icon', 'avala' ) ),
				array( 'param_name' => 'seconds_icon', 'type' => 'iconpicker', 'heading' => esc_html__( 'Seconds icon', 'avala' ) ),

				array( 'param_name' => 'hide_indication', 'type' => 'dropdown', 'heading' => esc_html__( 'Hide indication', 'avala' ), 'description' => esc_html__( 'Hide indication of days, hours, minutes and seconds', 'avala' ),
					'value' => array(
						esc_html__( 'No', 'avala' ) 		=> 'no',
						esc_html__( 'Yes', 'avala' ) 		=> 'yes'
				) ),
				array( 'param_name' => 'hide_lines', 'type' => 'dropdown', 'heading' => esc_html__( 'Hide lines', 'avala' ), 'description' => esc_html__( 'Hide lines between days, hours, minutes and seconds', 'avala' ),
					'value' => array(
						esc_html__( 'No', 'avala' ) 		=> '',
						esc_html__( 'Yes', 'avala' ) 		=> 'yes'
				) ),
				array( 'param_name' => 'color_scheme', 'type' => 'dropdown', 'heading' => esc_html__( 'Color scheme', 'avala' ), 'value' => $color_scheme_arr, 'preview' => true ),

				array( 'param_name' => 'font', 'type' => 'dropdown', 'heading' => esc_html__( 'Font', 'avala' ), 'preview' => true,
					'value' => array( esc_html__( 'Inherit', 'avala' ) => 'inherit' ) + $font_arr
				),
				array( 'param_name' => 'font_subset', 'type' => 'textfield', 'heading' => esc_html__( 'Font subset', 'avala' ), 'value' => 'latin,latin-ext', 'description' => 'E.g. latin,latin-ext,cyrillic,cyrillic-ext' ),
			)
		) );

	}
}