<?php

class bt_bb_date extends BT_BB_Element {

	function handle_shortcode( $atts, $content ) {
		
		extract( shortcode_atts( apply_filters( 'bt_bb_extract_atts_' . $this->shortcode, array(
			'month'			=> '',
			'day'			=> '',
			'year'			=> '',
			'color_scheme'	=> ''
		) ), $atts, $this->shortcode ) );
		
		$class = array(); //array( $this->shortcode );
		
		$class[] = 'bt_bb_date';

		$id_attr = '';
		if ( $el_id != '' ) {
			$id_attr = ' ' . 'id="' . esc_attr( $el_id ) . '"';
		}

		$color_scheme_id = NULL;
		if ( is_numeric ( $color_scheme ) ) {
			$color_scheme_id = $color_scheme;
		} else if ( $color_scheme != '' ) {
			$color_scheme_id = bt_bb_get_color_scheme_id( $color_scheme );
		}
		$color_scheme_colors = bt_bb_get_color_scheme_colors_by_id( $color_scheme_id - 1 );
		if ( $color_scheme_colors ) $el_style .= '; --date-primary-color:' . $color_scheme_colors[0] . '; --date-secondary-color:' . $color_scheme_colors[1] . ';';
		if ( $color_scheme != '' ) $class[] = $this->prefix . 'color_scheme_' .  $color_scheme_id;

		$style_attr = '';
		if ( $el_style != '' ) {
			$style_attr = ' ' . 'style="' . esc_attr( $el_style ) . '"';
		}
		
		$class = apply_filters( $this->shortcode . '_class', $class, $atts );
		$class_attr = implode( ' ', $class );
		
		if ( $el_class != '' ) {
			$class_attr = $class_attr . ' ' . $el_class;
		}		

		$output = '';

		$output .= '<div' . $id_attr . ' class="' . esc_attr( $class_attr ) . '"' . $style_attr . '>';

			// MONTH
			if ( $month != '' ) $output .= '<span class="' . esc_attr( $this->shortcode . '_month' ) . '">' . $month . '</span>';

			// DAY
			if ( $day != '' ) $output .= '<span class="' . esc_attr( $this->shortcode . '_day' ) . '">' . $day . '</span>';

			// DAY
			if ( $year != '' ) $output .= '<span class="' . esc_attr( $this->shortcode . '_year' ) . '">' . $year . '</span>';


		$output .= '</div>';
		
		$output = apply_filters( 'bt_bb_general_output', $output, $atts );
		$output = apply_filters( $this->shortcode . '_output', $output, $atts );
			
		return $output;
	}

	function map_shortcode() {

		$color_scheme_arr = bt_bb_get_color_scheme_param_array();

		bt_bb_map( $this->shortcode, array( 'name' => esc_html__( 'Date', 'avala' ), 'description' => esc_html__( 'Date (day, month, year)', 'avala' ),  
			'icon' => $this->prefix_backend . 'icon' . '_' . $this->shortcode,
			'params' => array(
				array( 'param_name' => 'day', 'type' => 'textfield', 'preview' => true, 'heading' => esc_html__( 'Day', 'avala' ) ),
				array( 'param_name' => 'month', 'type' => 'textfield', 'preview' => true, 'heading' => esc_html__( 'Month', 'avala' ) ),
				array( 'param_name' => 'year', 'type' => 'textfield', 'preview' => true, 'heading' => esc_html__( 'Year', 'avala' ) ),
				array( 'param_name' => 'color_scheme', 'type' => 'dropdown', 'heading' => esc_html__( 'Color scheme', 'avala' ), 'value' => $color_scheme_arr, 'preview' => true )
			)
		) );

	}
}