<?php

class bt_bb_headline extends BT_BB_Element {

	function handle_shortcode( $atts, $content ) {
		extract( shortcode_atts( apply_filters( 'bt_bb_extract_atts_' . $this->shortcode, array(
			'headline'      			=> '',
			'html_tag'      			=> '',
			'font'          			=> '',
			'font_subset'   			=> '',
			'size'     					=> '',
			'font_size'     			=> '',
			'font_weight'   			=> '',
			'supertitle_font_weight' 	=> '',
			'subtitle_font_weight' 		=> '',
			'color_scheme'  			=> '',
			'color'         			=> '',
			'supertitle_position'   	=> '',
			'dash'          			=> '',
			'align'         			=> '',
			'url'           			=> '',
			'target'        			=> '',
			'superheadline' 			=> '',
			'subheadline'   			=> '',
			'subtitle_style' 			=> '',
			'letter_spacing'			=> ''
		) ), $atts, $this->shortcode ) );

		$superheadline = html_entity_decode( $superheadline, ENT_QUOTES, 'UTF-8' );
		$subheadline = html_entity_decode( $subheadline, ENT_QUOTES, 'UTF-8' );
		$headline = html_entity_decode( $headline, ENT_QUOTES, 'UTF-8' );

		if ( $font != '' && $font != 'inherit' ) {
			require_once( dirname(__FILE__) . '/../../../../../plugins/bold-page-builder/content_elements_misc/misc.php' );
			bt_bb_enqueue_google_font( $font, $font_subset );
		}

		$class = array( $this->shortcode );
		$data_override_class = array();
		
		if ( $el_class != '' ) {
			$class[] = $el_class;
		}

		$id_attr = '';
		if ( $el_id != '' ) {
			$id_attr = ' ' . 'id="' . esc_attr( $el_id ) . '"';
		}
		
		$html_tag_style = "";
		$html_tag_style_arr = array();
		if ( $font != '' && $font != 'inherit' ) {
			$el_style = $el_style . ';' . 'font-family:\'' . urldecode( $font ) . '\'';
			$html_tag_style_arr[] = 'font-family:\'' . urldecode( $font ) . '\'';
		}
		if ( $font_size != '' ) {
			$html_tag_style_arr[] = 'font-size:' . $font_size  ;
		}
		if ( count( $html_tag_style_arr ) > 0 ) {
			$html_tag_style = ' style="' . implode( '; ', $html_tag_style_arr ) . '"';
		}
		
		if ( $font_weight != '' ) {
			$class[] = $this->prefix . 'font_weight' . '_' . $font_weight ;
		}

		$color_scheme_id = NULL;
		if ( is_numeric ( $color_scheme ) ) {
			$color_scheme_id = $color_scheme;
		} else if ( $color_scheme != '' ) {
			$color_scheme_id = bt_bb_get_color_scheme_id( $color_scheme );
		}
		$color_scheme_colors = bt_bb_get_color_scheme_colors_by_id( $color_scheme_id - 1 );
		if ( $color_scheme_colors ) $el_style .= '; --headline-primary-color:' . $color_scheme_colors[0] . '; --headline-secondary-color:' . $color_scheme_colors[1] . ';';
		if ( $color_scheme != '' ) $class[] = $this->prefix . 'color_scheme_' .  $color_scheme_id;

		if ( $color != '' ) {
			$el_style = $el_style . ';' . 'color:' . $color . ';border-color:' . $color . ';';
		}

		if ( $dash != '' ) {
			$class[] = $this->prefix . 'dash' . '_' . $dash;
		}

		if ( $target == '' ) {
			$target = '_self';
		}

		if ( $subtitle_style != '' ) {
			$class[] = $this->prefix . 'subtitle_style' . '_' . $subtitle_style;
		}
		
		if ( $headline == '' ) {
			$class[] = 'btNoHeadline';
		}

		if ( $letter_spacing != '' ) {
			$html_tag_style_arr[] = 'letter-spacing:' . $letter_spacing ;
		}

		if ( $supertitle_font_weight != '' ) {
			$class[] = $this->prefix . 'supertitle_font_weight' . '_' . $supertitle_font_weight;
		}

		if ( $subtitle_font_weight != '' ) {
			$class[] = $this->prefix . 'subtitle_font_weight' . '_' . $subtitle_font_weight;
		}

		$superheadline_inside = '';
		$superheadline_outside = '';
		
		if ( $superheadline != '' ) {
			$class[] = $this->prefix . 'superheadline';
			if ( $supertitle_position == 'outside' ) { 
				$superheadline_outside = '<span class="' . esc_attr( $this->shortcode ) . '_superheadline">' . $superheadline . '</span>';
				$class[] = $this->prefix . 'superheadline_outside';
			} else {
				$superheadline_inside = '<span class="' . esc_attr( $this->shortcode ) . '_superheadline">' . $superheadline . '</span>';
			}
		}
		
		if ( $subheadline != '' ) {
			$class[] = $this->prefix . 'subheadline';
			$subheadline = '<div class="' . esc_attr( $this->shortcode ) . '_subheadline">' . $subheadline . '</div>';
			$subheadline = nl2br( $subheadline );
		}
		
		$style_attr = '';
		if ( $el_style != '' ) {
			$style_attr = ' ' . 'style="' . esc_attr( $el_style ) . '"';
		}

		$this->responsive_data_override_class(
			$class, $data_override_class,
			array(
				'prefix' => $this->prefix,
				'param' => 'size',
				'value' => $size
			)
		);

		$this->responsive_data_override_class(
			$class, $data_override_class,
			array(
				'prefix' => $this->prefix,
				'param' => 'align',
				'value' => $align
			)
		);

		$class = apply_filters( $this->shortcode . '_class', $class, $atts );
		
		if ( $headline != '' ) {
			if ( $url != '' ) {
				$url_title = strip_tags( str_replace( array("\n", "\r"), ' ', $headline ) );
				$link = bt_bb_get_url( $url );
				// IMPORTANT: esc_attr must be used instead of esc_url(_raw)
				$headline = '<a href="' . esc_attr( $link ) . '" target="' . esc_attr( $target ) . '" title="' . esc_attr( $url_title )  . '">' . $headline . '</a>';
			}		
			$headline = '<span class="' . esc_attr( $this->shortcode ) . '_content"><span>' . $headline . '</span></span>';			
		}
		
		$headline = nl2br( $headline );

		$output = '<header' . $id_attr . ' class="' . implode( ' ', $class ) . '"' . $style_attr . ' data-bt-override-class="' . htmlspecialchars( json_encode( $data_override_class, JSON_FORCE_OBJECT ), ENT_QUOTES, 'UTF-8' ) . '">';
		if ( $superheadline_outside != '' ) $output .= '<div class="' . esc_attr( $this->shortcode ) . '_superheadline_outside' . '">' . $superheadline_outside . '</div>';
		if ( $headline != '' || $superheadline_inside != '' ) $output .= '<' . $html_tag . $html_tag_style . ' class="bt_bb_headline_tag">' . $superheadline_inside . $headline . '</' . $html_tag . '>';
		$output .= $subheadline . '</header>';
		
		$output = apply_filters( 'bt_bb_general_output', $output, $atts );
		$output = apply_filters( $this->shortcode . '_output', $output, $atts );

		return $output;

	}

	function map_shortcode() {

		include( dirname(__FILE__) . '/../../../../../plugins/bold-page-builder/content_elements_misc/fonts.php' );
		$color_scheme_arr = bt_bb_get_color_scheme_param_array();	

		bt_bb_map( $this->shortcode, array( 'name' => esc_html__( 'Headline', 'avala' ), 'description' => esc_html__( 'Headline with custom Google fonts', 'avala' ), 'icon' => $this->prefix_backend . 'icon' . '_' . $this->shortcode, 'highlight' => true,
			'params' => array(
				array( 'param_name' => 'superheadline', 'type' => 'textfield', 'heading' => esc_html__( 'Superheadline', 'avala' ) ),
				array( 'param_name' => 'headline', 'type' => 'textarea', 'heading' => esc_html__( 'Headline', 'avala' ), 'preview' => true, 'preview_strong' => true ),
				array( 'param_name' => 'subheadline', 'type' => 'textarea', 'heading' => esc_html__( 'Subheadline', 'avala' ) ),
				array( 'param_name' => 'html_tag', 'type' => 'dropdown', 'heading' => esc_html__( 'HTML tag', 'avala' ), 'preview' => true,
					'value' => array(
						esc_html__( 'h1', 'avala' ) 	=> 'h1',
						esc_html__( 'h2', 'avala' ) 	=> 'h2',
						esc_html__( 'h3', 'avala' ) 	=> 'h3',
						esc_html__( 'h4', 'avala' ) 	=> 'h4',
						esc_html__( 'h5', 'avala' ) 	=> 'h5',
						esc_html__( 'h6', 'avala' ) 	=> 'h6'
				) ),
				array( 'param_name' => 'size', 'type' => 'dropdown', 'heading' => esc_html__( 'Size', 'avala' ), 'responsive_override' => true, 'description' => esc_html__( 'Predefined heading sizes, independent of html tag', 'avala' ),
					'value' => array(
						esc_html__( 'Inherit', 'avala' ) 			=> 'inherit',
						esc_html__( 'Extra Small', 'avala' ) 		=> 'extrasmall',
						esc_html__( 'Small', 'avala' ) 			=> 'small',
						esc_html__( 'Medium', 'avala' ) 			=> 'medium',
						esc_html__( 'Normal', 'avala' ) 			=> 'normal',
						esc_html__( 'Large', 'avala' ) 			=> 'large',
						esc_html__( 'Extra large', 'avala' ) 		=> 'extralarge',
						esc_html__( 'Huge', 'avala' ) 			=> 'huge'
					)
				),				
				array( 'param_name' => 'align', 'type' => 'dropdown', 'heading' => esc_html__( 'Alignment', 'avala' ), 'responsive_override' => true,
					'value' => array(
						esc_html__( 'Inherit', 'avala' ) 		=> 'inherit',
						esc_html__( 'Left', 'avala' ) 		=> 'left',
						esc_html__( 'Center', 'avala' ) 		=> 'center',
						esc_html__( 'Right', 'avala' ) 		=> 'right'
					)
				),
				array( 'param_name' => 'dash', 'type' => 'dropdown', 'heading' => esc_html__( 'Dash', 'avala' ), 'group' => esc_html__( 'Design', 'avala' ),
					'value' => array(
						esc_html__( 'None', 'avala' ) 						=> 'none',
						esc_html__( 'Top simple dash', 'avala' ) 				=> 'top',
						esc_html__( 'Bottom simple dash', 'avala' ) 			=> 'bottom',
						esc_html__( 'Top specific dash', 'avala' ) 			=> 'top_bottom'
					)
				),
				array( 'param_name' => 'color_scheme', 'type' => 'dropdown', 'heading' => esc_html__( 'Color scheme', 'avala' ), 'description' => esc_html__( 'Define color schemes in Bold Builder settings or define accent and alternate colors in theme customizer (if avaliable)', 'avala' ), 'group' => esc_html__( 'Design', 'avala' ), 'value' => $color_scheme_arr, 'preview' => true ),
				array( 'param_name' => 'color', 'type' => 'colorpicker', 'heading' => esc_html__( 'Color', 'avala' ), 'group' => esc_html__( 'Design', 'avala' ), 'preview' => true ),
				array( 'param_name' => 'supertitle_position', 'type' => 'checkbox', 'value' => array( esc_html__( 'Yes', 'avala' ) => 'outside' ), 'heading' => esc_html__( 'Put supertitle outside H tag', 'avala' ), 'group' => esc_html__( 'Design', 'avala' ), 'preview' => true ),
				array( 'param_name' => 'font', 'type' => 'dropdown', 'heading' => esc_html__( 'Font', 'avala' ), 'group' => esc_html__( 'Font', 'avala' ), 'preview' => true,
					'value' => array( esc_html__( 'Inherit', 'avala' ) => 'inherit' ) + $font_arr
				),
				array( 'param_name' => 'font_subset', 'type' => 'textfield', 'heading' => esc_html__( 'Google Font subset', 'avala' ), 'group' => esc_html__( 'Font', 'avala' ), 'value' => 'latin,latin-ext', 'description' => esc_html__( 'E.g. latin,latin-ext,cyrillic,cyrillic-ext', 'avala' ) ),
				array( 'param_name' => 'font_size', 'type' => 'textfield', 'heading' => esc_html__( 'Custom font size', 'avala' ), 'group' => esc_html__( 'Font', 'avala' ), 'description' => esc_html__( 'E.g. 20px or 1.5rem', 'avala' ) ),
				array( 'param_name' => 'font_weight', 'type' => 'dropdown', 'heading' => esc_html__( 'Font weight', 'avala' ), 'group' => esc_html__( 'Font', 'avala' ),
					'value' => array(
						esc_html__( 'Default', 'avala' ) 				=> '',
						esc_html__( 'Thin', 'avala' ) 				=> 'thin',
						esc_html__( 'Lighter', 'avala' ) 				=> 'lighter',
						esc_html__( 'Light', 'avala' ) 				=> 'light',
						esc_html__( 'Normal', 'avala' ) 				=> 'normal',
						esc_html__( 'Medium', 'avala' ) 				=> 'medium',
						esc_html__( 'Semi bold', 'avala' ) 			=> 'semi-bold',
						esc_html__( 'Bold', 'avala' ) 				=> 'bold',
						esc_html__( 'Bolder', 'avala' ) 				=> 'bolder',
						esc_html__( 'Black', 'avala' ) 				=> 'black'
					)
				),
				array( 'param_name' => 'supertitle_font_weight', 'type' => 'dropdown', 'heading' => esc_html__( 'Supertitle font weight', 'avala' ), 'group' => esc_html__( 'Font', 'avala' ),
					'value' => array(
						esc_html__( 'Default', 'avala' ) 				=> '',
						esc_html__( 'Thin', 'avala' ) 				=> 'thin',
						esc_html__( 'Lighter', 'avala' ) 				=> 'lighter',
						esc_html__( 'Light', 'avala' ) 				=> 'light',
						esc_html__( 'Normal', 'avala' ) 				=> 'normal',
						esc_html__( 'Medium', 'avala' ) 				=> 'medium',
						esc_html__( 'Semi bold', 'avala' ) 			=> 'semi-bold',
						esc_html__( 'Bold', 'avala' ) 				=> 'bold',
						esc_html__( 'Bolder', 'avala' ) 				=> 'bolder',
						esc_html__( 'Black', 'avala' ) 				=> 'black'
					)
				),
				array( 'param_name' => 'subtitle_font_weight', 'type' => 'dropdown', 'heading' => esc_html__( 'Subtitle font weight', 'avala' ), 'group' => esc_html__( 'Font', 'avala' ),
					'value' => array(
						esc_html__( 'Default', 'avala' ) 				=> '',
						esc_html__( 'Thin', 'avala' ) 				=> 'thin',
						esc_html__( 'Lighter', 'avala' ) 				=> 'lighter',
						esc_html__( 'Light', 'avala' ) 				=> 'light',
						esc_html__( 'Normal', 'avala' ) 				=> 'normal',
						esc_html__( 'Medium', 'avala' ) 				=> 'medium',
						esc_html__( 'Semi bold', 'avala' ) 			=> 'semi-bold',
						esc_html__( 'Bold', 'avala' ) 				=> 'bold',
						esc_html__( 'Bolder', 'avala' ) 				=> 'bolder',
						esc_html__( 'Black', 'avala' ) 				=> 'black'
					)
				),
				array( 'param_name' => 'subtitle_style', 'type' => 'dropdown', 'heading' => esc_html__( 'Subtitle style', 'avala' ), 'group' => esc_html__( 'Font', 'avala' ),
					'value' => array(
						esc_html__( 'Default', 'avala' ) 				=> '',
						esc_html__( 'Regular', 'avala' ) 				=> 'regular',
						esc_html__( 'Italic', 'avala' ) 				=> 'italic'
					)
				),
				array( 'param_name' => 'letter_spacing', 'type' => 'textfield', 'heading' => esc_html__( 'Letter Spacing', 'avala' ), 'description' => esc_html__( 'Enter number (with px) in order to define letter spacing in the Heading (e.g. -1px, 0px, 1px etc.).', 'avala' ), 'group' => esc_html__( 'Font', 'avala' )
				),

				array( 'param_name' => 'url', 'type' => 'link', 'heading' => esc_html__( 'URL', 'avala' ), 'description' => esc_html__( 'Enter full or local URL (e.g. https://www.bold-themes.com or /pages/about-us) or post slug (e.g. about-us) or search for existing content.', 'avala' ), 'group' => esc_html__( 'URL', 'avala' ) ),
				array( 'param_name' => 'target', 'type' => 'dropdown', 'heading' => esc_html__( 'Target', 'avala' ), 'group' => esc_html__( 'URL', 'avala' ),
					'value' => array(
						esc_html__( 'Self (open in same tab)', 'avala' ) => '_self',
						esc_html__( 'Blank (open in new tab)', 'avala' ) => '_blank'
					)
				)
			)
		) );
	}
}