<?php

class bt_bb_inner_timeline extends BT_BB_Element {

	function handle_shortcode( $atts, $content ) {
		extract( shortcode_atts( apply_filters( 'bt_bb_extract_atts', array(
			'icon'					=> '',
			'image' 				=> '',
			'image_border' 			=> '',
			'icon_style' 			=> '',
			'icon_color_scheme'     => ''
		) ), $atts, $this->shortcode ) );
		
		$class = array( $this->shortcode );

		if ( $el_class != '' ) {
			$class[] = $el_class;
		}

		if ( $image_border != '' ) {
			$class[] = 'bt_bb_image_border';
		}

		if ( $icon != '' ) {
			$class[] = 'btWithIcon';
		}

		$icon_color_scheme_id = NULL;
		if ( is_numeric ( $icon_color_scheme ) ) {
			$icon_color_scheme_id = $icon_color_scheme;
		} else if ( $icon_color_scheme != '' ) {
			$icon_color_scheme_id = bt_bb_get_color_scheme_id( $icon_color_scheme );
		}
		$icon_color_scheme_colors = bt_bb_get_color_scheme_colors_by_id( $icon_color_scheme_id - 1 );
		if ( $icon_color_scheme_colors ) $el_style .= '; --inner-timeline-icon-primary-color:' . $icon_color_scheme_colors[0] . '; --inner-timeline-icon-secondary-color:' . $icon_color_scheme_colors[1] . ';';
		if ( $icon_color_scheme != '' ) $class[] = $this->prefix . 'icon_color_scheme_' .  $icon_color_scheme_id;

		if ( $icon_style != '' ) {
			$class[] = 'bt_bb_style_filled';
		}

		$id_attr = '';
		if ( $el_id != '' ) {
			$id_attr = ' ' . 'id="' . esc_attr( $el_id ) . '"';
		}

		$style_attr = '';
		if ( $el_style != '' ) {
			$style_attr = ' ' . 'style="' . esc_attr( $el_style ) . '"';
		}

		$class = apply_filters( $this->shortcode . '_class', $class, $atts );

		$icon_html = bt_bb_icon::get_html( $icon, '' );

		$output = '';
		$output .= '<div' . $id_attr . ' class="' . implode( ' ', $class ) . '"' . $style_attr . '>';

			// CONTENT
			$output .= '<div class="' . esc_attr( $this->shortcode ) . '_content bt_bb_animation_fade_in animate">';
				$output .= '<div class="' . esc_attr( $this->shortcode ) . '_content_holder">';
					$output .= '<div class="' . esc_attr( $this->shortcode ) . '_content_holder_inner">';
						
						$output .= '<div class="' . esc_attr( $this->shortcode ) . '_inner_content">';
							if ( $content != '' ) $output .=  wpautop( ( do_shortcode( $content ) ) );
						$output .= '</div>';
					
					$output .= '</div>';
				$output .= '</div>';
			$output .= '</div>';

			// IMAGES
			if ( $image != '' ) $output .=  '<div class="' . esc_attr( $this->shortcode . '_image bt_bb_animation_fade_in animate') . '">' . do_shortcode( '[bt_bb_image image="' . esc_attr( $image ) . '" size="medium" ignore_fe_editor="true"]' ) . '</div>';


			// ICON
			if ( ( $image == '' ) && ( $icon != '' ) ) $output .= '<div class="' . esc_attr( $this->shortcode . '_icon bt_bb_animation_fade_in animate' ) . '">' . $icon_html . '</div>';

		$output .= '</div>';

		$output = apply_filters( 'bt_bb_general_output', $output, $atts );
		$output = apply_filters( $this->shortcode . '_output', $output, $atts );
		
		return $output;

	}

	function map_shortcode() {

		$color_scheme_arr = bt_bb_get_color_scheme_param_array();

		bt_bb_map( $this->shortcode, array( 'name' => esc_html__( 'Inner timeline', 'avala' ), 'description' => esc_html__( 'Inner timeline element', 'avala' ), 'as_child' => array( 'only' => 'bt_bb_timeline' ), 'container' => 'vertical', 'toggle' => true, 'accept' => array( 'bt_bb_button' => true, 'bt_bb_icon' => true, 'bt_bb_headline' => true, 'bt_bb_text' => true, 'bt_bb_floating_image' => true, 'bt_bb_separator' => true ), 'icon' => $this->prefix_backend . 'icon' . '_' . $this->shortcode,
			'params' => array(
				array( 'param_name' => 'image', 'type' => 'attach_image', 'heading' => esc_html__( 'Image', 'avala' ), 'preview' => true ),
				array( 'param_name' => 'icon', 'type' => 'iconpicker', 'heading' => esc_html__( 'Icon', 'avala' ), 'description' => esc_html__( 'Icon is visible if image is not selected', 'avala' ), 'preview' => true ),
				array( 'param_name' => 'image_border', 'type' => 'dropdown', 'heading' => esc_html__( 'Show image border', 'avala' ), 
					'value' => array(
						esc_html__( 'No', 'avala' ) 		=> '',
						esc_html__( 'Yes', 'avala' ) 		=> 'yes'
					)
				),
				array( 'param_name' => 'icon_style', 'type' => 'dropdown', 'heading' => esc_html__( 'Icon style', 'avala' ), 
					'value' => array(
						esc_html__( 'Borderless', 'avala' ) 	=> '',
						esc_html__( 'Filled', 'avala' ) 		=> 'filled'
					)
				),
				array( 'param_name' => 'icon_color_scheme', 'type' => 'dropdown', 'heading' => esc_html__( 'Filled icon color scheme', 'avala' ), 'value' => $color_scheme_arr
				),
			)
		) );
	}
}