<?php

class bt_bb_promo extends BT_BB_Element {

	function handle_shortcode( $atts, $content ) {
		
		extract( shortcode_atts( apply_filters( 'bt_bb_extract_atts_' . $this->shortcode, array(
			'old_price'		=> '',
			'new_price'		=> '',
			'url'			=> '',
			'target'		=> '',
			'color_scheme'	=> ''
		) ), $atts, $this->shortcode ) );
		
		$class = array(); //array( $this->shortcode );
		
		$class[] = 'bt_bb_promo';

		$id_attr = '';
		if ( $el_id != '' ) {
			$id_attr = ' ' . 'id="' . esc_attr( $el_id ) . '"';
		}
		
		$color_scheme_id = NULL;
		if ( is_numeric ( $color_scheme ) ) {
			$color_scheme_id = $color_scheme;
		} else if ( $color_scheme != '' ) {
			$color_scheme_id = bt_bb_get_color_scheme_id( $color_scheme );
		}
		$color_scheme_colors = bt_bb_get_color_scheme_colors_by_id( $color_scheme_id - 1 );
		if ( $color_scheme_colors ) $el_style .= '; --promo-primary-color:' . $color_scheme_colors[0] . '; --promo-secondary-color:' . $color_scheme_colors[1] . ';';
		if ( $color_scheme != '' ) $class[] = $this->prefix . 'color_scheme_' .  $color_scheme_id;

		$url_title = strip_tags( str_replace( array("\n", "\r"), ' ', $new_price ) );
		$link = bt_bb_get_permalink_by_slug( $url );

		$style_attr = '';
		if ( $el_style != '' ) {
			$style_attr = ' ' . 'style="' . esc_attr( $el_style ) . '"';
		}
		
		$class = apply_filters( $this->shortcode . '_class', $class, $atts );
		$class_attr = implode( ' ', $class );
		
		if ( $el_class != '' ) {
			$class_attr = $class_attr . ' ' . $el_class;
		}

	
		$output = '';

		$output .= '<div' . $id_attr . ' class="' . esc_attr( $class_attr ) . '"' . $style_attr . '>';

			// OLD PRICE
			if ( $old_price != '' ) $output .= '<span class="' . esc_attr( $this->shortcode . '_old_price' ) . '">' . $old_price . '</span>';

			// NEW PRICE
			if ( $new_price != '' ) {
				if ( ( $url != '') ) {
					$output .= '<a href="' . esc_attr( $link ) . '" target="' . esc_attr( $target ) . '" title="' . esc_attr( $url_title )  . '"><span class="' . esc_attr( $this->shortcode . '_new_price' ) . '">' . $new_price . '</span></a>';
				} else {
					$output .= '<span class="' . esc_attr( $this->shortcode . '_new_price' ) . '">' . $new_price . '</span>';
				}
			}


		$output .= '</div>';
		
		$output = apply_filters( 'bt_bb_general_output', $output, $atts );
		$output = apply_filters( $this->shortcode . '_output', $output, $atts );
			
		return $output;
	}

	function map_shortcode() {

		$color_scheme_arr = bt_bb_get_color_scheme_param_array();

		bt_bb_map( $this->shortcode, array( 'name' => esc_html__( 'Promo', 'avala' ), 'description' => esc_html__( 'Promo price with old price', 'avala' ),  
			'icon' => $this->prefix_backend . 'icon' . '_' . $this->shortcode,
			'params' => array(
				array( 'param_name' => 'old_price', 'type' => 'textfield', 'heading' => esc_html__( 'Old price', 'avala' ) ),
				array( 'param_name' => 'new_price', 'type' => 'textfield', 'heading' => esc_html__( 'New price', 'avala' ), 'preview' => true ),
				array( 'param_name' => 'url', 'preview' => true, 'type' => 'textfield', 'group' => esc_html__( 'URL', 'avala' ), 'heading' => esc_html__( 'URL', 'avala' ) ),
				array( 'param_name' => 'target', 'type' => 'dropdown', 'group' => esc_html__( 'URL', 'avala' ), 'heading' => esc_html__( 'Target', 'avala' ),
					'value' => array(
						esc_html__( 'Self (open in same tab)', 'avala' ) 				=> '_self',
						esc_html__( 'Blank (open in new tab)', 'avala' ) 				=> '_blank',
				) ),
				array( 'param_name' => 'color_scheme', 'type' => 'dropdown', 'heading' => esc_html__( 'Color scheme', 'avala' ), 'value' => $color_scheme_arr, 'preview' => true )
			)
		) );

	}
}