<?php

class bt_bb_service extends BT_BB_Element {

	function handle_shortcode( $atts, $content ) {
		extract( shortcode_atts( apply_filters( 'bt_bb_extract_atts_' . $this->shortcode, array(
			'icon'				=> '',
			'supertitle'		=> '',
			'title'				=> '',
			'text'				=> '',
			'url'				=> '',
			'target'			=> '',
			'color_scheme'		=> '',
			'title_color'		=> '',
			'title_size'		=> '',
			'supertitle_font_weight'	=> '',
			'style'				=> '',
			'size'				=> '',
			'shape'				=> '',
			'align'				=> ''
		) ), $atts, $this->shortcode ) );

		$class = array( $this->shortcode );
		$data_override_class = array();

		if ( $el_class != '' ) {
			$class[] = $el_class;
		}

		$id_attr = '';
		if ( $el_id != '' ) {
			$id_attr = ' ' . 'id="' . esc_attr( $el_id ) . '"';
		}



		$color_scheme_id = NULL;
		if ( is_numeric ( $color_scheme ) ) {
			$color_scheme_id = $color_scheme;
		} else if ( $color_scheme != '' ) {
			$color_scheme_id = bt_bb_get_color_scheme_id( $color_scheme );
		}
		$color_scheme_colors = bt_bb_get_color_scheme_colors_by_id( $color_scheme_id - 1 );
		if ( $color_scheme_colors ) $el_style .= '; --service-primary-color:' . $color_scheme_colors[0] . '; --service-secondary-color:' . $color_scheme_colors[1] . ';';
		if ( $color_scheme != '' ) $class[] = $this->prefix . 'color_scheme_' .  $color_scheme_id;
		
		/*if ( $color_scheme != '' ) {
			$class[] = $this->prefix . 'color_scheme_' . bt_bb_get_color_scheme_id( $color_scheme );
		}*/		

		if ( $style != '' ) {
			$class[] = $this->prefix . 'style' . '_' . $style;
		}

		$this->responsive_data_override_class(
			$class, $data_override_class,
			array(
				'prefix' => $this->prefix,
				'param' => 'size',
				'value' => $size
			)
		);

		if ( $title_color != '' ) {
			$class[] = $this->prefix . 'title_color' . '_' . $title_color;
		}

		if ( $title_size != '' ) {
			$class[] = $this->prefix . 'title_size' . '_' . $title_size;
		}

		if ( $supertitle_font_weight != '' ) {
			$class[] = $this->prefix . 'supertitle_font_weight' . '_' . $supertitle_font_weight;
		}

		if ( $size != '' ) {
			$class[] = $this->prefix . 'size' . '_' . $size;
		}

		if ( $shape != '' ) {
			$class[] = $this->prefix . 'shape' . '_' . $shape;
		}
		
		$this->responsive_data_override_class(
			$class, $data_override_class,
			array(
				'prefix' => $this->prefix,
				'param' => 'align',
				'value' => $align
			)
		);
		
		$link = bt_bb_get_url( $url );

		$icon_title = wp_strip_all_tags($title);
		
		$icon = bt_bb_icon::get_html( $icon, '', $link, $icon_title, $target );

		if ( $link != '' ) {
			if ( $title != '' ) $title = '<a href="' . esc_url( $link ) . '" target="' . esc_attr( $target ) . '">' . $title . '</a>';
		} 
				
		$style_attr = '';
		if ( $el_style != '' ) {
			$style_attr = ' ' . 'style="' . esc_attr( $el_style ) . '"';
		}

		$class = apply_filters( $this->shortcode . '_class', $class, $atts );

		$output = $icon;

		$output .= '<div class="' . esc_attr( $this->shortcode ) . '_content">';
			if ( $supertitle != '' ) $output .= '<div class="' . esc_attr( $this->shortcode ) . '_content_supertitle">' . $supertitle . '</div>';
			if ( $title != '' ) $output .= '<div class="' . esc_attr( $this->shortcode ) . '_content_title">' . $title . '</div>';
			if ( $text != '' ) $output .= '<div class="' . esc_attr( $this->shortcode ) . '_content_text">' . nl2br( $text ) . '</div>';
		$output .= '</div>';

		$output = '<div' . $id_attr . ' class="' . esc_attr( implode( ' ', $class ) ) . '"' . $style_attr . ' data-bt-override-class="' . htmlspecialchars( json_encode( $data_override_class, JSON_FORCE_OBJECT ), ENT_QUOTES, 'UTF-8' ) . '">' . $output . '</div>';

		$output = apply_filters( 'bt_bb_general_output', $output, $atts );
		$output = apply_filters( $this->shortcode . '_output', $output, $atts );

		return $output;

	}

	function map_shortcode() {

		$color_scheme_arr = bt_bb_get_color_scheme_param_array();

		bt_bb_map( $this->shortcode, array( 'name' => esc_html__( 'Service', 'avala' ), 'description' => esc_html__( 'Icon with text', 'avala' ), 'icon' => $this->prefix_backend . 'icon' . '_' . $this->shortcode,
			'params' => array(
				array( 'param_name' => 'icon', 'type' => 'iconpicker', 'heading' => esc_html__( 'Icon', 'avala' ),  'preview' => true ),
				array( 'param_name' => 'supertitle', 'type' => 'textfield', 'heading' => esc_html__( 'Supertitle', 'avala' ) ),
				array( 'param_name' => 'title', 'type' => 'textfield', 'heading' => esc_html__( 'Title', 'avala' ), 'preview' => true ),
				array( 'param_name' => 'text', 'type' => 'textarea', 'heading' => esc_html__( 'Text', 'avala' ) ),
				array( 'param_name' => 'url', 'type' => 'textfield', 'heading' => esc_html__( 'URL', 'avala' ), 'description' => esc_html__( 'Enter full or local URL (eg. https://www.bold-themes.com or /pages/about-us) or post slug (eg. about-us)', 'avala' ) ),
				array( 'param_name' => 'target', 'type' => 'dropdown', 'heading' => esc_html__( 'Target', 'avala' ),
					'value' => array(
						esc_html__( 'Self (open in same tab)', 'avala' ) => '_self',
						esc_html__( 'Blank (open in new tab)', 'avala' ) => '_blank',
					)
				),
				
				array( 'param_name' => 'size', 'type' => 'dropdown', 'heading' => esc_html__( 'Icon size', 'avala' ), 'responsive_override' => true, 'preview' => true, 'group' => esc_html__( 'Design', 'avala' ),
					'value' => array(
						esc_html__( 'Extra small', 'avala' ) 			=> 'xsmall',
						esc_html__( 'Small', 'avala' ) 				=> 'small',
						esc_html__( 'Normal', 'avala' ) 				=> 'normal',
						esc_html__( 'Large', 'avala' ) 				=> 'large',
						esc_html__( 'Extra large', 'avala' ) 			=> 'xlarge'
					)
				),
				array( 'param_name' => 'align', 'type' => 'dropdown', 'heading' => esc_html__( 'Icon alignment', 'avala' ), 'responsive_override' => true, 'group' => esc_html__( 'Design', 'avala' ),
					'value' => array(
						esc_html__( 'Inherit', 'avala' ) 				=> 'inherit',
						esc_html__( 'Left', 'avala' ) 				=> 'left',
						esc_html__( 'Center', 'avala' )				=> 'center',
						esc_html__( 'Right', 'avala' ) 				=> 'right'
					)
				),
				array( 'param_name' => 'shape', 'type' => 'dropdown', 'heading' => esc_html__( 'Icon shape', 'avala' ), 'group' => esc_html__( 'Design', 'avala' ),
					'value' => array(
						esc_html__( 'Circle', 'avala' ) 				=> 'circle',
						esc_html__( 'Square', 'avala' ) 				=> 'square',
						esc_html__( 'Rounded Square', 'avala' ) 		=> 'round'
					)
				),
				array( 'param_name' => 'title_color', 'type' => 'dropdown', 'heading' => esc_html__( 'Title & Supertitle color', 'avala' ),  'group' => esc_html__( 'Design', 'avala' ),
					'value' => array(
						esc_html__( 'Inherit', 'avala' ) 				=> '',
						esc_html__( 'Accent color', 'avala' ) 		=> 'accent',
						esc_html__( 'Alternate color', 'avala' ) 		=> 'alternate',
						esc_html__( 'Light color', 'avala' ) 			=> 'light',
						esc_html__( 'Dark color', 'avala' ) 			=> 'dark',
						esc_html__( 'Gray color', 'avala' ) 			=> 'gray'
					)
				),
				array( 'param_name' => 'title_size', 'type' => 'dropdown', 'heading' => esc_html__( 'Title size', 'avala' ),  'group' => esc_html__( 'Design', 'avala' ),
					'value' => array(
						esc_html__( 'Inherit', 'avala' ) 				=> '',
						esc_html__( 'Extra Small', 'avala' ) 			=> 'xsmall',
						esc_html__( 'Small', 'avala' ) 				=> 'small',
						esc_html__( 'Normal', 'avala' ) 				=> 'normal',
						esc_html__( 'Large', 'avala' ) 				=> 'large'
					)
				),
				array( 'param_name' => 'supertitle_font_weight', 'type' => 'dropdown', 'heading' => esc_html__( 'Supertitle font weight', 'avala' ), 'group' => esc_html__( 'Design', 'avala' ),
					'value' => array(
						esc_html__( 'Default', 'avala' ) 				=> '',
						esc_html__( 'Thin', 'avala' ) 				=> 'thin',
						esc_html__( 'Lighter', 'avala' ) 				=> 'lighter',
						esc_html__( 'Light', 'avala' ) 				=> 'light',
						esc_html__( 'Normal', 'avala' ) 				=> 'normal',
						esc_html__( 'Medium', 'avala' ) 				=> 'medium',
						esc_html__( 'Semi bold', 'avala' ) 			=> 'semi-bold',
						esc_html__( 'Bold', 'avala' ) 				=> 'bold',
						esc_html__( 'Bolder', 'avala' ) 				=> 'bolder',
						esc_html__( 'Black', 'avala' ) 				=> 'black'
					)
				),
				array( 'param_name' => 'color_scheme', 'type' => 'dropdown', 'heading' => esc_html__( 'Color scheme', 'avala' ), 'value' => $color_scheme_arr, 'preview' => true, 'group' => esc_html__( 'Design', 'avala' ) ),
				array( 'param_name' => 'style', 'type' => 'dropdown', 'heading' => esc_html__( 'Icon style', 'avala' ), 'preview' => true, 'group' => esc_html__( 'Design', 'avala' ),
					'value' => array(
						esc_html__( 'Outline', 'avala' ) 				=> 'outline',
						esc_html__( 'Filled', 'avala' ) 				=> 'filled',
						esc_html__( 'Borderless', 'avala' ) 			=> 'borderless'
					)
				)
			)
		) );
	}
}