<?php
if ( class_exists( 'BoldThemesFramework' ) && isset( BoldThemesFramework::$crush_vars ) ) {
	$boldthemes_crush_vars = apply_filters( 'boldthemes_crush_vars', BoldThemesFramework::$crush_vars );
}
if ( class_exists( 'BoldThemesFramework' ) && isset( BoldThemesFramework::$crush_vars_def ) ) {
	$boldthemes_crush_vars_def = BoldThemesFramework::$crush_vars_def;
}
if ( isset( $boldthemes_crush_vars['accentColor'] ) ) {
	$accentColor = $boldthemes_crush_vars['accentColor'];
} else {
	$accentColor = "#8c857a";
}
if ( isset( $boldthemes_crush_vars['alternateColor'] ) ) {
	$alternateColor = $boldthemes_crush_vars['alternateColor'];
} else {
	$alternateColor = "#63725b";
}
if ( isset( $boldthemes_crush_vars['bodyFont'] ) ) {
	$bodyFont = $boldthemes_crush_vars['bodyFont'];
} else {
	$bodyFont = "Source Sans Pro";
}
if ( isset( $boldthemes_crush_vars['menuFont'] ) ) {
	$menuFont = $boldthemes_crush_vars['menuFont'];
} else {
	$menuFont = "Source Sans Pro";
}
if ( isset( $boldthemes_crush_vars['headingFont'] ) ) {
	$headingFont = $boldthemes_crush_vars['headingFont'];
} else {
	$headingFont = "Cormorant";
}
if ( isset( $boldthemes_crush_vars['headingSuperTitleFont'] ) ) {
	$headingSuperTitleFont = $boldthemes_crush_vars['headingSuperTitleFont'];
} else {
	$headingSuperTitleFont = "Source Sans Pro";
}
if ( isset( $boldthemes_crush_vars['headingSubTitleFont'] ) ) {
	$headingSubTitleFont = $boldthemes_crush_vars['headingSubTitleFont'];
} else {
	$headingSubTitleFont = "Crimson Text";
}
if ( isset( $boldthemes_crush_vars['logoHeight'] ) ) {
	$logoHeight = $boldthemes_crush_vars['logoHeight'];
} else {
	$logoHeight = "80";
}
if ( isset( $boldthemes_crush_vars['letterSpacingSupertitle'] ) ) {
	$letterSpacingSupertitle = $boldthemes_crush_vars['letterSpacingSupertitle'];
} else {
	$letterSpacingSupertitle = "1.6";
}
if ( isset( $boldthemes_crush_vars['buttonFont'] ) ) {
	$buttonFont = $boldthemes_crush_vars['buttonFont'];
} else {
	$buttonFont = "Crimson Text";
}
$accentColorDark = CssCrush\fn__l_adjust( $accentColor." -15" );$accentColorVeryDark = CssCrush\fn__l_adjust( $accentColor." -35" );$accentColorVeryVeryDark = CssCrush\fn__l_adjust( $accentColor." -42" );$accentColorLight = CssCrush\fn__a_adjust( $accentColor." -30" );$accentColorVeryLight = CssCrush\fn__a_adjust( $accentColor." -60" );$alternateColorDark = CssCrush\fn__l_adjust( $alternateColor." -15" );$alternateColorVeryDark = CssCrush\fn__l_adjust( $alternateColor." -25" );$alternateColorLight = CssCrush\fn__a_adjust( $alternateColor." -40" );if ( isset( $boldthemes_crush_vars['letterSpacingButton'] ) ) {
	$letterSpacingButton = $boldthemes_crush_vars['letterSpacingButton'];
} else {
	$letterSpacingButton = "0";
}
$css_override = sanitize_text_field(".btAccentSkin{color: {$accentColor};}
.btAlternateSkin{color: {$alternateColor};}
select,
input{font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
.fancy-select ul.options li:hover{color: {$accentColor};}
.bt-content a{color: {$accentColor};}
.btAccentSkin .bt-content a,
.btDarkSkin .btAccentSkin .bt-content a,
.btAccentSkin .btDarkSkin .btAccentSkin .bt-content a{color: {$alternateColor};}
a:hover{
    color: {$accentColor};}
.btText a{color: {$accentColor};}
body{font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
h1,
h2,
h3,
h4,
h5,
h6{font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
blockquote{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.btAccentDarkHeader .btPreloader .animation > div:first-child,
.btLightAccentHeader .btPreloader .animation > div:first-child,
.btTransparentLightHeader .btPreloader .animation > div:first-child{
    background-color: {$accentColor};}
.btPreloader .animation .preloaderLogo{height: {$logoHeight}px;}
.bt_bb_section.btPageHeadline[style=\"background-image:url()\"]{
    background-color: {$alternateColor};}
.bt-no-search-results .bt_bb_port #searchform input[type='submit']{
    font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;
    -webkit-box-shadow: 0 0 0 3em {$accentColor} inset;
    box-shadow: 0 0 0 3em {$accentColor} inset;}
.mainHeader{font-family: \"{$menuFont}\",Arial,Helvetica,sans-serif;}
.menuPort{
    font-family: \"{$menuFont}\",Arial,Helvetica,sans-serif;}
.menuPort nav > ul > li > a:before,
.menuPort nav > ul > li > a:after{
    bottom: -webkit-calc({$logoHeight}px / 2 - 20%);
    bottom: -moz-calc({$logoHeight}px / 2 - 20%);
    bottom: calc({$logoHeight}px / 2 - 20%);
    background: {$accentColor};}
.menuPort nav > ul > li > a:after{
    background: {$accentColor};}
.menuPort nav > ul > li.on > a:before,
.menuPort nav > ul > li:hover > a:before{
    background: {$accentColor};}
.menuPort nav > ul > li > a{
    padding-top: -webkit-calc({$logoHeight}px / 2 - 7.5px);
    padding-top: -moz-calc({$logoHeight}px / 2 - 7.5px);
    padding-top: calc({$logoHeight}px / 2 - 7.5px);
    padding-bottom: -webkit-calc({$logoHeight}px / 2 - 7.5px);
    padding-bottom: -moz-calc({$logoHeight}px / 2 - 7.5px);
    padding-bottom: calc({$logoHeight}px / 2 - 7.5px);}
.btTextLogo{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;
    line-height: {$logoHeight}px;}
.bt-logo-area .logo img{height: {$logoHeight}px;}
.btTransparentAccentHeader .bt-horizontal-menu-trigger .bt_bb_icon:before,
.btTransparentAccentHeader.btHasAltLogo .bt-horizontal-menu-trigger .bt_bb_icon:before,
.btTransparentAccentHeader.btHasAltLogo.btStickyHeaderActive .bt-horizontal-menu-trigger .bt_bb_icon:before,
.btTransparentAccentHeader .bt-horizontal-menu-trigger .bt_bb_icon:after,
.btTransparentAccentHeader.btHasAltLogo .bt-horizontal-menu-trigger .bt_bb_icon:after,
.btTransparentAccentHeader.btHasAltLogo.btStickyHeaderActive .bt-horizontal-menu-trigger .bt_bb_icon:after{border-top-color: {$accentColor};}
.btTransparentAlternateHeader .bt-horizontal-menu-trigger .bt_bb_icon:before,
.btTransparentAlternateHeader.btHasAltLogo .bt-horizontal-menu-trigger .bt_bb_icon:before,
.btTransparentAlternateHeader.btHasAltLogo.btStickyHeaderActive .bt-horizontal-menu-trigger .bt_bb_icon:before,
.btTransparentAlternateHeader .bt-horizontal-menu-trigger .bt_bb_icon:after,
.btTransparentAlternateHeader.btHasAltLogo .bt-horizontal-menu-trigger .bt_bb_icon:after,
.btTransparentAlternateHeader.btHasAltLogo.btStickyHeaderActive .bt-horizontal-menu-trigger .bt_bb_icon:after{border-top-color: {$alternateColor};}
.btTransparentAccentHeader .bt-horizontal-menu-trigger .bt_bb_icon .bt_bb_icon_holder:before,
.btTransparentAccentHeader.btHasAltLogo .bt-horizontal-menu-trigger .bt_bb_icon .bt_bb_icon_holder:before,
.btTransparentAccentHeader.btHasAltLogo.btStickyHeaderActive .bt-horizontal-menu-trigger .bt_bb_icon .bt_bb_icon_holder:before{border-top-color: {$accentColor};}
.btTransparentAlternateHeader .bt-horizontal-menu-trigger .bt_bb_icon .bt_bb_icon_holder:before,
.btTransparentAlternateHeader.btHasAltLogo .bt-horizontal-menu-trigger .bt_bb_icon .bt_bb_icon_holder:before,
.btTransparentAlternateHeader.btHasAltLogo.btStickyHeaderActive .bt-horizontal-menu-trigger .bt_bb_icon .bt_bb_icon_holder:before{border-top-color: {$alternateColor};}
body.btMenuHorizontal .subToggler{
    line-height: {$logoHeight}px;}
.btMenuHorizontal .menuPort > nav > ul > li > ul > li{font-family: \"{$menuFont}\",Arial,Helvetica,sans-serif;}
html:not(.touch) body.btMenuHorizontal.btMenuRight .menuPort > nav > ul > li.btMenuWideDropdown > ul > li > a{color: {$accentColor};}
html:not(.touch) body.btMenuHorizontal.btMenuRight .menuPort > nav > ul > li.btMenuWideDropdown > ul > li > a:after{
    background-color: {$accentColor};}
.btMenuHorizontal .topBarInMenu{
    height: {$logoHeight}px;}
.btTransparentAccentHeader .mainHeader,
.btTransparentAccentHeader .bt-vertical-header-top{color: {$accentColor};}
.btTransparentAccentHeader.btMenuHorizontal .menuPort ul ul li a{color: {$accentColor};}
.btTransparentAlternateHeader .mainHeader,
.btTransparentAlternateHeader .bt-vertical-header-top{color: {$alternateColor};}
.btTransparentAlternateHeader.btMenuHorizontal .menuPort ul ul li a{color: {$alternateColor};}
.btAccentLightHeader .bt-below-logo-area,
.btAccentLightHeader .topBar{background-color: {$accentColor};}
.btAccentLightHeader .bt-below-logo-area a:hover,
.btAccentLightHeader .topBar a:hover{color: {$alternateColor};}
.btAccentDarkHeader .bt-below-logo-area,
.btAccentDarkHeader .topBar{background-color: {$accentColor};}
.btAccentDarkHeader .bt-below-logo-area a:hover,
.btAccentDarkHeader .topBar a:hover{color: {$alternateColor};}
.btLightAccentHeader .bt-logo-area,
.btLightAccentHeader .bt-vertical-header-top{background-color: {$accentColor};}
.btLightAccentHeader.btMenuHorizontal.btBelowMenu .mainHeader .bt-logo-area{background-color: {$accentColor};}
.btTransparentAccentHeader .bt-vertical-menu-trigger .bt_bb_icon:before,
.btTransparentAccentHeader.btHasAltLogo .bt-vertical-menu-trigger .bt_bb_icon:before,
.btTransparentAccentHeader .bt-vertical-menu-trigger .bt_bb_icon:after,
.btTransparentAccentHeader.btHasAltLogo .bt-vertical-menu-trigger .bt_bb_icon:after{border-top-color: {$accentColor};}
.btTransparentAlternateHeader .bt-vertical-menu-trigger .bt_bb_icon:before,
.btTransparentAlternateHeader.btHasAltLogo .bt-vertical-menu-trigger .bt_bb_icon:before,
.btTransparentAlternateHeader .bt-vertical-menu-trigger .bt_bb_icon:after,
.btTransparentAlternateHeader.btHasAltLogo .bt-vertical-menu-trigger .bt_bb_icon:after{border-top-color: {$alternateColor};}
.btTransparentAccentHeader .bt-vertical-menu-trigger .bt_bb_icon .bt_bb_icon_holder:before,
.btTransparentAccentHeader.btHasAltLogo .bt-vertical-menu-trigger .bt_bb_icon .bt_bb_icon_holder:before{border-top-color: {$accentColor};}
.btTransparentAlternateHeader .bt-vertical-menu-trigger .bt_bb_icon .bt_bb_icon_holder:before,
.btTransparentAlternateHeader.btHasAltLogo .bt-vertical-menu-trigger .bt_bb_icon .bt_bb_icon_holder:before{border-top-color: {$alternateColor};}
.btMenuHorizontal .topBarInLogoArea{
    height: {$logoHeight}px;}
.btMenuHorizontal .topBarInLogoArea .topBarInLogoAreaCell{border: 0 solid {$accentColor};}
.btDarkSkin .bt-site-footer-copy-menu .port:before,
.btLightSkin .btDarkSkin .bt-site-footer-copy-menu .port:before,
.btDarkSkin.btLightSkin .btDarkSkin .bt-site-footer-copy-menu .port:before{background-color: {$accentColor};}
.btAccentSkin .bt-site-footer-widgets,
.btDarkSkin .btAccentSkin .bt-site-footer-widgets,
.btAccentSkin .btDarkSkin .btAccentSkin .bt-site-footer-widgets{color: {$accentColor};}
.bt-content .btArticleHeadline .bt_bb_headline a:hover,
.bt-content .btArticleTextContent .bt_bb_headline a:hover{color: {$accentColor};}
.btAccentSkin .bt-content .btArticleHeadline .bt_bb_headline a:hover,
.btDarkSkin .btAccentSkin .bt-content .btArticleHeadline .bt_bb_headline a:hover,
.btAccentSkin .btDarkSkin .btAccentSkin .bt-content .btArticleHeadline .bt_bb_headline a:hover,
.btAccentSkin .bt-content .btArticleTextContent .bt_bb_headline a:hover,
.btDarkSkin .btAccentSkin .bt-content .btArticleTextContent .bt_bb_headline a:hover,
.btAccentSkin .btDarkSkin .btAccentSkin .bt-content .btArticleTextContent .bt_bb_headline a:hover{color: {$accentColor};}
.bt-content .btArticleHeadline .bt_bb_headline .bt_bb_headline_superheadline,
.bt-content .btArticleTextContent .bt_bb_headline .bt_bb_headline_superheadline{color: {$accentColor};}
.bt-content .btArticleHeadline .bt_bb_headline .bt_bb_headline_superheadline a,
.bt-content .btArticleTextContent .bt_bb_headline .bt_bb_headline_superheadline a{color: {$accentColor};}
.bt-content .btArticleHeadline .bt_bb_headline .bt_bb_headline_subheadline a:hover,
.bt-content .btArticleHeadline .bt_bb_headline .bt_bb_headline_subheadline span a:hover,
.bt-content .btArticleTextContent .bt_bb_headline .bt_bb_headline_subheadline a:hover,
.bt-content .btArticleTextContent .bt_bb_headline .bt_bb_headline_subheadline span a:hover{color: {$accentColor};}
.btPostSingleItemStandard .btArticleShareEtc > div.btReadMoreColumn .bt_bb_button a{color: {$accentColor};}
.btPostSingleItemStandard .btArticleShareEtc > div.btReadMoreColumn .bt_bb_button a:before{
    border-bottom: 1px solid {$accentColor};}
.btPostSingleItemStandard .btArticleShareEtc > div.btReadMoreColumn .bt_bb_button a:after{
    border-bottom: 1px solid {$accentColor};}
.btAccentSkin .btShareRow .bt_bb_size_xsmall.bt_bb_icon .bt_bb_icon_holder,
.btDarkSkin .btAccentSkin .btShareRow .bt_bb_size_xsmall.bt_bb_icon .bt_bb_icon_holder,
.btAccentSkin .btDarkSkin .btAccentSkin .btShareRow .bt_bb_size_xsmall.bt_bb_icon .bt_bb_icon_holder,
.btAccentSkin .btShareColumn .bt_bb_size_xsmall.bt_bb_icon .bt_bb_icon_holder,
.btDarkSkin .btAccentSkin .btShareColumn .bt_bb_size_xsmall.bt_bb_icon .bt_bb_icon_holder,
.btAccentSkin .btDarkSkin .btAccentSkin .btShareColumn .bt_bb_size_xsmall.bt_bb_icon .bt_bb_icon_holder{color: {$accentColor};}
.btArticleSuperMeta dl dt{
    font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;}
.btMediaBox.btQuote:before,
.btMediaBox.btLink:before{
    background-color: {$accentColor};}
.btPostListSimple .btArticleContentHolder .btArticleTextContent .bt_bb_headline .bt_bb_headline_superheadline{color: {$accentColor};}
.btPostListSimple .btArticleContentHolder .btArticleTextContent .bt_bb_headline .bt_bb_headline_superheadline a{color: {$accentColor};}
.sticky.btArticleListItem .btArticleHeadline h1 .bt_bb_headline_content span a:after,
.sticky.btArticleListItem .btArticleHeadline h2 .bt_bb_headline_content span a:after,
.sticky.btArticleListItem .btArticleHeadline h3 .bt_bb_headline_content span a:after,
.sticky.btArticleListItem .btArticleHeadline h4 .bt_bb_headline_content span a:after,
.sticky.btArticleListItem .btArticleHeadline h5 .bt_bb_headline_content span a:after,
.sticky.btArticleListItem .btArticleHeadline h6 .bt_bb_headline_content span a:after{
    color: {$accentColor};}
.post-password-form p:nth-child(2) input[type=\"submit\"]{
    background: {$accentColor};
    font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;}
.btPagination .paging p{
    font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;}
.btPagination .paging p a:hover{color: {$accentColor};}
.btPagination .paging p a:hover:after{color: {$accentColor};}
.btAccentSkin .btPrevNextNav a .btPrevNextItem,
.btDarkSkin .btAccentSkin .btPrevNextNav a .btPrevNextItem,
.btAccentSkin .btDarkSkin .btAccentSkin .btPrevNextNav a .btPrevNextItem{color: {$accentColor};}
.btPrevNextNav .btPrevNext .btPrevNextItem .btPrevNextTitle{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.btPrevNextNav .btPrevNext .btPrevNextItem .btPrevNextDir{
    font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.btPrevNextNav .btPrevNext:hover .btPrevNextTitle{color: {$accentColor};}
.bt-link-pages ul a.post-page-numbers:hover{
    background: {$accentColor};}
.bt-link-pages ul span.post-page-numbers{
    background: {$accentColor};}
.btArticleCategories a:hover{color: {$accentColor};}
.btArticleCategories a:not(:first-child):before{
    background-color: {$accentColor};}
.btArticleAuthor a:hover{color: {$accentColor};}
.bt_bb_section.bt-dark-skin.btPageHeadline .btArticleAuthor a:hover{color: {$accentColor};}
.btArticleComments:hover{color: {$accentColor} !important;}
.btAccentSkin .bt-comments-box .vcard h1.author a,
.btAccentSkin .bt-comments-box .vcard h2.author a,
.btAccentSkin .bt-comments-box .vcard h3.author a,
.btAccentSkin .bt-comments-box .vcard h4.author a,
.btAccentSkin .bt-comments-box .vcard h5.author a,
.btAccentSkin .bt-comments-box .vcard h6.author a,
.btDarkSkin .btAccentSkin .bt-comments-box .vcard h1.author a,
.btDarkSkin .btAccentSkin .bt-comments-box .vcard h2.author a,
.btDarkSkin .btAccentSkin .bt-comments-box .vcard h3.author a,
.btDarkSkin .btAccentSkin .bt-comments-box .vcard h4.author a,
.btDarkSkin .btAccentSkin .bt-comments-box .vcard h5.author a,
.btDarkSkin .btAccentSkin .bt-comments-box .vcard h6.author a,
.btAccentSkin .btDarkSkin .btAccentSkin .bt-comments-box .vcard h1.author a,
.btAccentSkin .btDarkSkin .btAccentSkin .bt-comments-box .vcard h2.author a,
.btAccentSkin .btDarkSkin .btAccentSkin .bt-comments-box .vcard h3.author a,
.btAccentSkin .btDarkSkin .btAccentSkin .bt-comments-box .vcard h4.author a,
.btAccentSkin .btDarkSkin .btAccentSkin .bt-comments-box .vcard h5.author a,
.btAccentSkin .btDarkSkin .btAccentSkin .bt-comments-box .vcard h6.author a{color: {$accentColor};}
.bt-comments-box .vcard .posted{
    font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.bt-comments-box .commentTxt p.edit-link,
.bt-comments-box .commentTxt p.reply{
    font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;}
.bt-comments-box .comment-navigation a,
.bt-comments-box .comment-navigation span{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.comment-awaiting-moderation{color: {$accentColor};}
a#cancel-comment-reply-link{
    color: {$accentColor};
    font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;}
.bt-comment-submit{
    font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;
    color: {$accentColor};}
.bt-comment-submit:before{
    border-bottom: 1px solid {$accentColor};}
.bt-comment-submit:after{
    border-bottom: 1px solid {$accentColor};}
body:not(.btNoDashInSidebar) .btBox > h4:after,
body:not(.btNoDashInSidebar) .btCustomMenu > h4:after,
body:not(.btNoDashInSidebar) .btTopBox > h4:after{
    border-bottom: 1px solid {$accentColor};}
.btBox ul li.current-menu-item > a,
.btCustomMenu ul li.current-menu-item > a,
.btTopBox ul li.current-menu-item > a{color: {$accentColor};}
.widget_calendar table caption{font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;
    background: {$accentColor};}
.widget_calendar table tbody tr td#today{color: {$accentColor};}
.widget_rss ul li a.rsswidget{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.widget_rss ul li .rss-date{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.widget_shopping_cart ul li .btImageTextWidget .btImageTextWidgetText .bt_bb_headline .bt_bb_headline_subheadline .quantity{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.widget_shopping_cart .total{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.widget_shopping_cart .buttons .button{
    background: {$accentColor};}
.woocommerce.widget_products ul li .btImageTextWidget .btImageTextWidgetText .posted,
.woocommerce.widget_top_rated_products ul li .btImageTextWidget .btImageTextWidgetText .posted,
.widget_recently_viewed_products ul li .btImageTextWidget .btImageTextWidgetText .posted{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.widget_recent_reviews ul li .reviewer{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.menuPort .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetIcon span.cart-contents,
.topTools .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetIcon span.cart-contents,
.topBarInLogoArea .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetIcon span.cart-contents{font: normal 10px/1 \"{$menuFont}\";
    background-color: {$accentColor};}
.btMenuVertical .menuPort .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetInnerContent .verticalMenuCartToggler,
.btMenuVertical .topTools .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetInnerContent .verticalMenuCartToggler,
.btMenuVertical .topBarInLogoArea .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetInnerContent .verticalMenuCartToggler{
    background-color: {$accentColor};}
.widget_recent_reviews{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle{
    background-color: {$accentColor};}
.btBox .tagcloud a:hover,
.btTags ul a:hover{color: {$accentColor};}
.btBox .tagcloud a:before,
.btTags ul a:before{
    color: {$accentColor};}
.btAccentDarkHeader .topTools .btIconWidget:hover,
.btAccentDarkHeader .topBarInMenu .btIconWidget:hover{color: {$alternateColor};}
.btSidebar .btIconWidget .btIconWidgetContent .btIconWidgetTitle,
footer .btIconWidget .btIconWidgetContent .btIconWidgetTitle,
.topBarInLogoArea .btIconWidget .btIconWidgetContent .btIconWidgetTitle{
    font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.btSidebar .btIconWidget .btIconWidgetContent .btIconWidgetText,
footer .btIconWidget .btIconWidgetContent .btIconWidgetText,
.topBarInLogoArea .btIconWidget .btIconWidgetContent .btIconWidgetText{
    font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
.btAccentIconWidget.btIconWidget .btIconWidgetIcon,
.btAccentIconWidget.btIconWidget .btIconWidgetTitle{color: {$accentColor};}
a.btAccentIconWidget.btIconWidget:hover{color: {$accentColor};}
.bt-site-footer-widgets .btSearch button:before,
.btSidebar .btSearch button:before,
.btSidebar .widget_product_search button:before{
    color: {$accentColor};}
.btSearchInner.btFromTopBox .btSearchInnerClose .bt_bb_icon a.bt_bb_icon_holder{color: {$accentColor};}
.btSearchInner.btFromTopBox .btSearchInnerClose .bt_bb_icon:hover a.bt_bb_icon_holder{color: {$accentColorDark};}
.btSearchInner.btFromTopBox input[type=\"text\"]:focus{
    -webkit-box-shadow: 0 0 0 2px {$accentColor} inset;
    box-shadow: 0 0 0 2px {$accentColor} inset;}
.btSearchInner.btFromTopBox button:hover:before{color: {$accentColor};}
.btButtonWidget .btButtonWidgetLink{
    color: {$accentColor};}
.btButtonWidget .btButtonWidgetLink:after{
    border: 1px solid {$accentColor};}
.btButtonWidget .btButtonWidgetLink .btButtonWidgetText{font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;}
.btButtonWidget.btAlternateButton .btButtonWidgetLink{color: {$alternateColor};}
.btButtonWidget.btAlternateButton .btButtonWidgetLink:after{border-color: {$alternateColor};}
.btButtonWidget.btAccentDarkButton .btButtonWidgetLink{color: {$accentColor};}
.btButtonWidget.btAccentDarkButton .btButtonWidgetLink:after{border-color: {$accentColor};}
.btButtonWidget.btFilledButton:after{
    background: {$accentColor};}
.btButtonWidget.btFilledButton.btAlternateButton:after{background: {$alternateColor};}
.btButtonWidget.btFilledButton.btAccentDarkButton .btButtonWidgetLink{color: {$accentColor};}
.btButtonWidget.btFilledButton.btDarkAccentButton:after{background: {$accentColor};}
.btButtonWidget.btFilledButton.btDarkAlternateButton:after{background: {$alternateColor};}
.btButtonWidget.btLineButton .btButtonWidgetLink{color: {$accentColor};}
.btButtonWidget.btLineButton .btButtonWidgetLink:before{
    background: {$accentColor};}
.btButtonWidget.btLineButton .btButtonWidgetLink:hover{color: {$accentColor};}
.btButtonWidget.btLineButton .btButtonWidgetLink:hover:before{background: {$accentColor};}
.btButtonWidget.btLineButton.btAlternateButton .btButtonWidgetLink{color: {$alternateColor};}
.btButtonWidget.btLineButton.btAlternateButton .btButtonWidgetLink:before{background: {$alternateColor};}
.btButtonWidget.btLineButton.btAlternateButton .btButtonWidgetLink:hover{color: {$alternateColor};}
.btButtonWidget.btLineButton.btAlternateButton .btButtonWidgetLink:hover:before{background: {$alternateColor};}
.btButtonWidget.btLineButton.btAccentDarkButton .btButtonWidgetLink{color: {$accentColor};}
.btButtonWidget.btLineButton.btAccentDarkButton .btButtonWidgetLink:before{background: {$accentColor};}
.btButtonWidget.btLineButton.btAccentDarkButton .btButtonWidgetLink:hover{color: {$accentColor};}
.btButtonWidget.btLineButton.btAccentDarkButton .btButtonWidgetLink:hover:before{background: {$accentColor};}
.btButtonWidget.btItalicButton .btButtonWidgetLink{color: {$accentColor};}
.btButtonWidget.btItalicButton .btButtonWidgetLink:hover{color: {$accentColor};}
.btButtonWidget.btItalicButton.btAlternateButton .btButtonWidgetLink{color: {$alternateColor};}
.btButtonWidget.btItalicButton.btAlternateButton .btButtonWidgetLink:hover{color: {$alternateColor};}
.btButtonWidget.btItalicButton.btAccentDarkButton .btButtonWidgetLink{color: {$accentColor};}
.btButtonWidget.btItalicButton.btAccentDarkButton .btButtonWidgetLink:hover{color: {$accentColor};}
.btButtonWidget.btCleanButton .btButtonWidgetLink{color: {$accentColor};}
.btButtonWidget.btCleanButton .btButtonWidgetLink:hover{color: {$accentColor};}
.btButtonWidget.btCleanButton.btAlternateButton .btButtonWidgetLink{color: {$alternateColor};}
.btButtonWidget.btCleanButton.btAlternateButton .btButtonWidgetLink:hover{color: {$alternateColor};}
.btButtonWidget.btCleanButton.btAccentDarkButton .btButtonWidgetLink{color: {$accentColor};}
.btButtonWidget.btCleanButton.btAccentDarkButton .btButtonWidgetLink:hover{color: {$accentColor};}
.btButtonWidget.btArrowButton .btButtonWidgetLink{color: {$accentColor};}
.btButtonWidget.btArrowButton.btAlternateButton .btButtonWidgetLink{color: {$alternateColor};}
.btButtonWidget.btArrowButton.btAlternateButton .btButtonWidgetLink:after{color: {$alternateColor};}
.btButtonWidget.btArrowButton.btAccentDarkButton .btButtonWidgetLink{color: {$accentColor};}
.btButtonWidget.btArrowButton.btAccentDarkButton .btButtonWidgetLink:after{color: {$accentColor};}
.btHasAltLogo.btStickyHeaderActive.btMenuHorizontal.btTransparentLightHeader .mainHeader .btButtonWidget.btLightButton .btButtonWidgetLink{color: {$accentColor};}
.btHasAltLogo.btStickyHeaderActive.btMenuHorizontal.btTransparentLightHeader .mainHeader .btButtonWidget.btLightButton .btButtonWidgetLink:after{border-color: {$accentColor};}
.btHasAltLogo.btStickyHeaderActive.btMenuHorizontal.btTransparentLightHeader .mainHeader .btButtonWidget.btLineButton.btLightButton .btButtonWidgetLink:before{background: {$accentColor};}
.bt_bb_column.bt_bb_border_style_accent{border-color: {$accentColor};}
.bt_bb_column.bt_bb_border_style_alternate{border-color: {$alternateColor};}
.bt_bb_column.bt_bb_border_position_inner.bt_bb_border_style_accent .bt_bb_column_content{border-color: {$accentColor};}
.bt_bb_column.bt_bb_border_position_inner.bt_bb_border_style_alternate .bt_bb_column_content{border-color: {$alternateColor};}
.bt_bb_separator.bt_bb_border_style_solid.bt_bb_border_color_accent{border-bottom: 1px solid {$accentColor};}
.btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_solid:before,
.btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_solid:before,
.btAccentSkin .btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_solid:before,
.btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_solid:after,
.btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_solid:after,
.btAccentSkin .btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_solid:after{background-color: {$accentColor} !important;}
.bt_bb_border_color_accent.bt_bb_separator.btWithText.bt_bb_border_style_solid:before,
.bt_bb_border_color_accent.bt_bb_separator.btWithText.bt_bb_border_style_solid:after{background-color: {$accentColor} !important;}
.btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dotted:before,
.btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dotted:before,
.btAccentSkin .btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dotted:before,
.btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dotted:after,
.btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dotted:after,
.btAccentSkin .btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dotted:after{border-color: {$accentColor};}
.bt_bb_border_color_accent.bt_bb_separator.btWithText.bt_bb_border_style_dotted:before,
.bt_bb_border_color_accent.bt_bb_separator.btWithText.bt_bb_border_style_dotted:after{border-color: {$accentColor};}
.btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dashed:before,
.btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dashed:before,
.btAccentSkin .btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dashed:before,
.btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dashed:after,
.btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dashed:after,
.btAccentSkin .btDarkSkin .btAccentSkin .bt_bb_separator.btWithText.bt_bb_border_style_dashed:after{border-color: {$accentColor};}
.bt_bb_border_style_solid.bt_bb_separator.btWithText.bt_bb_border_style_dashed:before,
.bt_bb_border_style_solid.bt_bb_separator.btWithText.bt_bb_border_style_dashed:after{border-color: {$accentColor};}
.bt_bb_border_color_accent.bt_bb_separator.btWithText.bt_bb_border_style_dashed:before,
.bt_bb_border_color_accent.bt_bb_separator.btWithText.bt_bb_border_style_dashed:after{border-color: {$accentColor};}
.bt_bb_separator.btWithText .bt_bb_separator_text{
    font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.bt_bb_border_color_accent.bt_bb_separator.btWithText .bt_bb_separator_text{color: {$accentColor};}
.bt_bb_headline .bt_bb_headline_superheadline{
    font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.bt_bb_headline.bt_bb_subheadline .bt_bb_headline_subheadline{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_headline h1 b,
.bt_bb_headline h2 b,
.bt_bb_headline h3 b,
.bt_bb_headline h4 b,
.bt_bb_headline h5 b,
.bt_bb_headline h6 b{
    color: {$accentColor};}
.bt_bb_headline h1 em,
.bt_bb_headline h2 em,
.bt_bb_headline h3 em,
.bt_bb_headline h4 em,
.bt_bb_headline h5 em,
.bt_bb_headline h6 em{
    color: {$alternateColor};}
.bt_bb_dash_top.bt_bb_headline h1 .bt_bb_headline_content:before,
.bt_bb_dash_top.bt_bb_headline h2 .bt_bb_headline_content:before,
.bt_bb_dash_top.bt_bb_headline h3 .bt_bb_headline_content:before,
.bt_bb_dash_top.bt_bb_headline h4 .bt_bb_headline_content:before,
.bt_bb_dash_top.bt_bb_headline h5 .bt_bb_headline_content:before,
.bt_bb_dash_top.bt_bb_headline h6 .bt_bb_headline_content:before{
    border-color: {$accentColor};}
.bt_bb_dash_bottom.bt_bb_headline h1 .bt_bb_headline_content:after,
.bt_bb_dash_bottom.bt_bb_headline h2 .bt_bb_headline_content:after,
.bt_bb_dash_bottom.bt_bb_headline h3 .bt_bb_headline_content:after,
.bt_bb_dash_bottom.bt_bb_headline h4 .bt_bb_headline_content:after,
.bt_bb_dash_bottom.bt_bb_headline h5 .bt_bb_headline_content:after,
.bt_bb_dash_bottom.bt_bb_headline h6 .bt_bb_headline_content:after{
    border-color: {$accentColor};}
.bt_bb_button .bt_bb_button_text{font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;}
.bt_bb_button.bt_bb_style_underline a:hover{color: {$accentColor};}
.bt_bb_button.bt_bb_style_underline a:hover:after{
    border-color: {$accentColor};}
.bt_bb_button.bt_bb_style_line a .bt_bb_button_text:before .btAccentSkin,
.bt_bb_button.bt_bb_style_line a .bt_bb_button_text:before .btDarkSkin .btAccentSkin,
.bt_bb_button.bt_bb_style_line a .bt_bb_button_text:before .btAccentSkin .btDarkSkin .btAccentSkin{background: {$accentColor};}
.bt_bb_button.bt_bb_style_line a:hover{color: {$accentColor};}
.bt_bb_button.bt_bb_style_line a:hover .bt_bb_button_text:before{background: {$accentColor};}
.bt_bb_button.bt_bb_style_arrow a:hover{color: {$accentColor};}
.bt_bb_button.bt_bb_style_arrow a:hover:after{color: {$accentColor};}
.bt_bb_service .bt_bb_service_content .bt_bb_service_content_supertitle{font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.bt_bb_title_color_accent.bt_bb_service .bt_bb_service_content .bt_bb_service_content_supertitle{color: {$accentColor};}
.bt_bb_title_color_alternate.bt_bb_service .bt_bb_service_content .bt_bb_service_content_supertitle{color: {$alternateColor};}
.bt_bb_service .bt_bb_service_content .bt_bb_service_content_title{font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_title_color_accent.bt_bb_service .bt_bb_service_content .bt_bb_service_content_title{color: {$accentColor};}
.bt_bb_title_color_alternate.bt_bb_service .bt_bb_service_content .bt_bb_service_content_title{color: {$alternateColor};}
.bt_bb_service:hover .bt_bb_service_content_title a{color: {$accentColor};}
.bt_bb_service:hover.bt_bb_style_outline .bt_bb_icon_holder{
    -webkit-box-shadow: 0 0 0 1px {$accentColor} inset;
    box-shadow: 0 0 0 1px {$accentColor} inset;
    color: {$accentColor};}
button.slick-arrow:before{
    color: {$accentColor};}
.bt_bb_navigation_color_alternate button.slick-arrow:before{color: {$alternateColor};}
.slick-dots li button{
    color: {$accentColor};}
.bt_bb_navigation_color_alternate .slick-dots li button{color: {$alternateColor};}
.slick-dots li.bt_bb_slider_paging,
.slick-dots li.bt_bb_content_slider_paging{
    color: {$accentColor};}
.bt_bb_navigation_color_alternate .slick-dots li.bt_bb_slider_paging,
.bt_bb_navigation_color_alternate .slick-dots li.bt_bb_content_slider_paging{color: {$alternateColor};}
.slick-dots li.bt_bb_slider_paging:before,
.slick-dots li.bt_bb_content_slider_paging:before{
    border-left: 1px solid {$accentColor};}
.bt_bb_navigation_color_alternate .slick-dots li.bt_bb_slider_paging:before,
.bt_bb_navigation_color_alternate .slick-dots li.bt_bb_content_slider_paging:before{border-color: {$alternateColor};}
.bt_bb_custom_menu div ul a{
    font-family: \"{$menuFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_counter_holder .bt_bb_counter_icon{color: {$accentColor};}
.bt_bb_counter_holder.bt_bb_icon_style_outline .bt_bb_counter_icon .bt_bb_icon_holder{
    -webkit-box-shadow: 0 0 0 1px {$accentColor} inset;
    box-shadow: 0 0 0 1px {$accentColor} inset;
    color: {$accentColor};}
.bt_bb_counter_holder.bt_bb_icon_style_filled .bt_bb_counter_icon .bt_bb_icon_holder{
    -webkit-box-shadow: 0 0 0 3em {$accentColor} inset;
    box-shadow: 0 0 0 3em {$accentColor} inset;}
.bt_bb_counter_holder .bt_bb_counter_content .bt_bb_counter{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_counter_holder .bt_bb_counter_content .bt_bb_counter_text{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_countdown.btCounterHolder .btCountdownHolder .days,
.bt_bb_countdown.btCounterHolder .btCountdownHolder .hours,
.bt_bb_countdown.btCounterHolder .btCountdownHolder .minutes,
.bt_bb_countdown.btCounterHolder .btCountdownHolder .seconds{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_countdown.btCounterHolder .btCountdownHolder span[class$=\"_text\"]{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_price_list .bt_bb_price_list_supertitle{font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.bt_bb_price_list .bt_bb_price_list_price .bt_bb_price_list_currency{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_price_list .bt_bb_price_list_price .bt_bb_price_list_amount{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_promo span{font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.bt_bb_promo .bt_bb_promo_new_price{color: {$accentColor};
    border: 1px solid {$accentColor};}
.bt_bb_date .bt_bb_date_month,
.bt_bb_date .bt_bb_date_year{
    font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.bt_bb_date .bt_bb_date_day{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_direction_vertical.bt_bb_tabs .bt_bb_tabs_header li{
    border-top: 1px solid {$accentColorVeryLight};}
.bt_bb_tabs .bt_bb_tabs_header li span{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_tabs .bt_bb_tabs_header li span:after{
    color: {$accentColor};}
.bt_bb_direction_vertical.bt_bb_tabs .bt_bb_tabs_header li:last-child{border-bottom: 1px solid {$accentColorVeryLight};}
.bt_bb_accordion .bt_bb_accordion_item:after{
    background: {$accentColor};}
.bt_bb_accordion .bt_bb_accordion_item .bt_bb_accordion_item_title .bt_bb_accordion_item_title_inner{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_latest_posts .bt_bb_latest_posts_item .bt_bb_latest_posts_item_content .bt_bb_latest_posts_item_title a:hover{color: {$accentColor};}
.bt_bb_latest_posts .bt_bb_latest_posts_item .bt_bb_latest_posts_item_content .bt_bb_latest_posts_item_meta{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_latest_posts .bt_bb_latest_posts_item .bt_bb_latest_posts_item_content .bt_bb_latest_posts_item_meta .bt_bb_latest_posts_item_author a:hover{color: {$accentColor};}
.bt_bb_masonry_post_grid .bt_bb_grid_item_post_content .bt_bb_grid_item_category ul.post-categories li a,
.bt_bb_latest_posts_item .bt_bb_latest_posts_item_category ul.post-categories li a{
    font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.bt_bb_masonry_post_grid .bt_bb_grid_item_post_content .bt_bb_grid_item_category ul.post-categories li:not(:first-child) a:before,
.bt_bb_latest_posts_item .bt_bb_latest_posts_item_category ul.post-categories li:not(:first-child) a:before{
    background-color: {$accentColor};}
.bt_bb_masonry_post_grid .bt_bb_grid_item .bt_bb_grid_item_post_content .bt_bb_grid_item_category > a{font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.bt_bb_masonry_post_grid .bt_bb_grid_item .bt_bb_grid_item_post_content .bt_bb_grid_item_category > a:not(:first-child):before{
    background-color: {$accentColor};}
.bt_bb_masonry_post_grid .bt_bb_grid_item .bt_bb_grid_item_post_content .bt_bb_grid_item_meta{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_masonry_post_grid .bt_bb_grid_item .bt_bb_grid_item_post_content .bt_bb_grid_item_meta .bt_bb_grid_item_item_author a:hover{color: {$accentColor};}
.bt_bb_masonry_post_grid .bt_bb_post_grid_filter .bt_bb_post_grid_filter_item{
    font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.bt_bb_masonry_post_grid .bt_bb_post_grid_loader{
    border-top: 2px solid {$accentColor};}
.bt_bb_timeline .bt_bb_inner_timeline .bt_bb_inner_timeline_content .bt_bb_inner_timeline_content_holder:after{
    background: {$accentColor};}
.bt_bb_timeline .bt_bb_inner_timeline .bt_bb_inner_timeline_content:before{
    color: {$accentColor};
    -webkit-box-shadow: 0 0 0 2em {$accentColor} inset;
    box-shadow: 0 0 0 2em {$accentColor} inset;}
.bt_bb_link .bt_bb_link_content .bt_bb_link_text{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_link .bt_bb_link_content .bt_bb_link_icon:after{
    color: {$accentColor};}
.bt_bb_link:hover .bt_bb_link_content .bt_bb_link_text{color: {$accentColor};}
.wpcf7-form .wpcf7-submit{
    font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;
    -webkit-box-shadow: 0 0 0 1px {$accentColor} inset;
    box-shadow: 0 0 0 1px {$accentColor} inset;
    color: {$accentColor} !important;}
.wpcf7-form .wpcf7-submit:hover{-webkit-box-shadow: 0 0 0 2em {$accentColor} inset;
    box-shadow: 0 0 0 2em {$accentColor} inset;}
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output{border: 1px solid {$alternateColor};}
div.wpcf7-validation-errors,
div.wpcf7-acceptance-missing{border: 1px solid {$accentColor};}
span.wpcf7-not-valid-tip{color: {$accentColor};}
.btContact .btContactButton button:before{
    background: {$accentColor};}
.btOutline.btContact .btContactButton button{
    -webkit-box-shadow: 0 0 0 1px {$accentColor} inset;
    box-shadow: 0 0 0 1px {$accentColor} inset;}
.btRSVP.btContact .btContactButton button:after{
    border-bottom: 1px solid {$accentColor};}
.btRSVP.btContact .btContactButton button:hover{color: {$alternateColor} !important;}
.btRSVP.btContact .btContactButton button:hover:after{
    border-color: {$alternateColor};}
.btFilled.btContact .btContactButton button{
    -webkit-box-shadow: 0 0 0 4em {$accentColor} inset;
    box-shadow: 0 0 0 4em {$accentColor} inset;}
.btAlternateDarkColor.btContact .btContactButton button{
    -webkit-box-shadow: 0 0 0 4em {$alternateColor} inset;
    box-shadow: 0 0 0 4em {$alternateColor} inset;}
.btAccentDarkColor.btContact .btContactButton button{
    -webkit-box-shadow: 0 0 0 4em {$accentColor} inset;
    box-shadow: 0 0 0 4em {$accentColor} inset;}
.btAccentLightColor.btContact .btContactButton button{
    -webkit-box-shadow: 0 0 0 4em {$accentColor} inset;
    box-shadow: 0 0 0 4em {$accentColor} inset;}
.btUnderline.btContact .btContactButton button:before{
    border-bottom: 1px solid {$accentColor};}
.btContact .btContactButton button:hover{color: {$accentColor} !important;}
.btContact .btContactList .wpcf7-form-control-wrap .wpcf7-radio .wpcf7-list-item input[type='radio']:checked:after{
    background-color: {$accentColor};
    border: 1px solid {$accentColor};}
.btNewsletter .btNewsletterButton input{
    color: {$accentColor} !important;}
.btAlternate.btNewsletter .btNewsletterButton input{color: {$alternateColor} !important;}
.btNewsletter .btNewsletterButton input:hover{color: {$alternateColor} !important;}
.btAlternate.btNewsletter .btNewsletterButton input:hover{color: {$accentColor} !important;}
.btNewsletter.btSubscribe .btNewsletterColumn input{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_style_accent_light.bt_bb_testimonial .bt_bb_testimonial_content{color: {$accentColor};}
.bt_bb_style_accent_beige.bt_bb_testimonial .bt_bb_testimonial_content{color: {$accentColor};}
.bt_bb_style_alternate_accent_light.bt_bb_testimonial .bt_bb_testimonial_content{color: {$alternateColor};}
.bt_bb_style_alternate_accent_light.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_testimonial_icon:before{color: {$accentColor};}
.bt_bb_style_alternate_accent_gray.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_testimonial_icon:before{color: {$accentColor};}
.bt_bb_style_alternate_accent_beige.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_testimonial_icon:before{color: {$accentColor};}
.bt_bb_style_alternate_accent_gray.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_headline{color: {$alternateColor};}
.bt_bb_style_alternate_accent_beige.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_headline{color: {$alternateColor};}
.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_testimonial_text span{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.bt_bb_style_alternate_accent_light.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_button{color: {$accentColor};}
.bt_bb_style_alternate_accent_gray.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_button{color: {$accentColor};}
.bt_bb_style_alternate_accent_beige.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_button{color: {$accentColor};}
.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_button.bt_bb_style_filled:after{background-color: {$accentColor};}
.bt_bb_style_accent_light.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_button a .bt_bb_button_text:before{background-color: {$accentColor};}
.bt_bb_style_accent_beige.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_button a .bt_bb_button_text:before{background-color: {$accentColor};}
.bt_bb_style_alternate_accent_light.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_button a .bt_bb_button_text:before{background-color: {$accentColor};}
.bt_bb_style_alternate_accent_gray.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_button a .bt_bb_button_text:before{background-color: {$accentColor};}
.bt_bb_style_alternate_accent_beige.bt_bb_testimonial .bt_bb_testimonial_content .bt_bb_button a .bt_bb_button_text:before{background-color: {$accentColor};}
.bt_bb_color_accent.bt_bb_background_letter .bt_bb_background_letter_letter{color: {$accentColor};}
.bt_bb_color_alternate.bt_bb_background_letter .bt_bb_background_letter_letter{color: {$alternateColor};}
.products ul li.product .btWooShopLoopItemInner .price,
ul.products li.product .btWooShopLoopItemInner .price{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.products ul li.product .btWooShopLoopItemInner .added:after,
.products ul li.product .btWooShopLoopItemInner .loading:after,
ul.products li.product .btWooShopLoopItemInner .added:after,
ul.products li.product .btWooShopLoopItemInner .loading:after{
    background-color: {$alternateColor};}
.products ul li.product .btWooShopLoopItemInner .added_to_cart:before,
ul.products li.product .btWooShopLoopItemInner .added_to_cart:before{
    color: {$alternateColor};}
.products ul li.product .btWooShopLoopItemInner .added_to_cart:hover:before,
ul.products li.product .btWooShopLoopItemInner .added_to_cart:hover:before{color: {$accentColor};}
.products ul li.product .onsale,
ul.products li.product .onsale{
    background: {$accentColor};
    font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
.products ul li.product .onsale:before,
ul.products li.product .onsale:before{
    border-right: 10px solid {$accentColor};}
nav.woocommerce-pagination ul li a,
nav.woocommerce-pagination ul li span{
    color: {$accentColor};}
nav.woocommerce-pagination ul li a:focus,
nav.woocommerce-pagination ul li a:hover,
nav.woocommerce-pagination ul li span.current{-webkit-box-shadow: 0 0 0 1px {$accentColor} inset;
    box-shadow: 0 0 0 1px {$accentColor} inset;
    color: {$accentColor};}
nav.woocommerce-pagination ul li a.prev,
nav.woocommerce-pagination ul li a.next{
    color: {$accentColor};}
div.product .onsale{
    background: {$accentColor};
    font-family: \"{$headingSuperTitleFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingSupertitle}px;}
div.product .onsale:before{
    border-left: 10px solid {$accentColor};}
div.product div.summary .price{
    font-family: \"{$headingSubTitleFont}\",Arial,Helvetica,sans-serif;}
.btAlternateSkin div.product div.product-description .bt_bb_tabs .bt_bb_tabs_header li{color: {$alternateColor};}
div.product div.product-description .bt_bb_tabs .bt_bb_tabs_header li:before,
div.product div.product-description .bt_bb_tabs .bt_bb_tabs_header li:after{
    background: {$accentColor};}
div.product div.product-description .bt_bb_tabs .bt_bb_tabs_header li:after{
    background: {$accentColor};}
div.product div.product-description .bt_bb_tabs .bt_bb_tabs_header li:hover:before,
div.product div.product-description .bt_bb_tabs .bt_bb_tabs_header li.on:before{
    background: {$accentColor};}
table.shop_table .coupon .input-text{
    color: {$accentColor};}
table.shop_table td.product-remove a.remove{
    font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
ul.wc_payment_methods li .about_paypal{
    color: {$accentColor};}
form .form-row .required{color: {$accentColor};}
.woocommerce-error,
.woocommerce-info,
.woocommerce-message{
    border: 1px solid {$accentColor};}
.woocommerce-message:before,
.woocommerce-info:before{
    color: {$accentColor};}
.woocommerce .btSidebar a.button,
.woocommerce .bt-content a.button,
.woocommerce-page .btSidebar a.button,
.woocommerce-page .bt-content a.button,
.woocommerce .btSidebar input[type=\"submit\"],
.woocommerce .bt-content input[type=\"submit\"],
.woocommerce-page .btSidebar input[type=\"submit\"],
.woocommerce-page .bt-content input[type=\"submit\"],
.woocommerce .btSidebar button[type=\"submit\"],
.woocommerce .bt-content button[type=\"submit\"],
.woocommerce-page .btSidebar button[type=\"submit\"],
.woocommerce-page .bt-content button[type=\"submit\"],
.woocommerce .btSidebar input.button,
.woocommerce .bt-content input.button,
.woocommerce-page .btSidebar input.button,
.woocommerce-page .bt-content input.button,
.woocommerce .btSidebar input.alt:hover,
.woocommerce .bt-content input.alt:hover,
.woocommerce-page .btSidebar input.alt:hover,
.woocommerce-page .bt-content input.alt:hover,
.woocommerce .btSidebar a.button.alt:hover,
.woocommerce .bt-content a.button.alt:hover,
.woocommerce-page .btSidebar a.button.alt:hover,
.woocommerce-page .bt-content a.button.alt:hover,
.woocommerce .btSidebar .button.alt:hover,
.woocommerce .bt-content .button.alt:hover,
.woocommerce-page .btSidebar .button.alt:hover,
.woocommerce-page .bt-content .button.alt:hover,
.woocommerce .btSidebar button.alt:hover,
.woocommerce .bt-content button.alt:hover,
.woocommerce-page .btSidebar button.alt:hover,
.woocommerce-page .bt-content button.alt:hover,
div.woocommerce a.button,
div.woocommerce input[type=\"submit\"],
div.woocommerce button[type=\"submit\"],
div.woocommerce input.button,
div.woocommerce input.alt:hover,
div.woocommerce a.button.alt:hover,
div.woocommerce .button.alt:hover,
div.woocommerce button.alt:hover{
    font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;
    background: {$accentColor};}
p.stars a[class^=\"star-\"].active:after,
p.stars a[class^=\"star-\"]:hover:after{color: {$accentColor};}
.select2-container--default .select2-results__option--highlighted[aria-selected],
.select2-container--default .select2-results__option--highlighted[data-selected]{background-color: {$accentColor};}
p.demo_store{
    background-color: {$alternateColor};}
.btQuoteBooking .btContactNext{border-color: {$accentColor};
    color: {$accentColor};}
.btQuoteBooking .btQuoteSlider .ui-slider-handle .btQuoteSliderValue{
    background: {$accentColor};}
.btQuoteBooking .btQuoteSwitch.on .btQuoteSwitchInner{background: {$accentColor};}
.btAccentSkin .btQuoteBooking .ddChild ul li,
.btDarkSkin .btAccentSkin .btQuoteBooking .ddChild ul li,
.btAccentSkin .btDarkSkin .btAccentSkin .btQuoteBooking .ddChild ul li{color: {$accentColor};}
.btAlternateSkin .btQuoteBooking .ddChild ul li,
.btDarkSkin .btAlternateSkin .btQuoteBooking .ddChild ul li,
.btAlternateSkin .btDarkSkin .btAlternateSkin .btQuoteBooking .ddChild ul li{color: {$alternateColor};}
.btQuoteBooking .btQuoteBookingForm .btQuoteTotal{
    font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;}
.btQuoteBooking .btQuoteBookingForm .btQuoteTotal .btQuoteTotalCalc{
    background: {$accentColor};}
.btQuoteBooking .btQuoteBookingForm .btQuoteTotal .btQuoteTotalCurrency{
    background: {$accentColor};}
.btQuoteBooking .btQuoteBookingForm .boldBtn button{
    font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;
    background: {$accentColor};}
.btQuoteBooking .btSubmitMessage{color: {$accentColor};}
.btQuoteBooking .btContactSubmit{
    font-family: \"{$buttonFont}\",Arial,Helvetica,sans-serif;
    letter-spacing: {$letterSpacingButton}px;
    background: {$accentColor};}
.btDatePicker .ui-datepicker-header{background-color: {$accentColor};}
", array() );