<?php

/* Remove unused params */

remove_action( 'customize_register', 'boldthemes_customize_blog_side_info' );
remove_action( 'boldthemes_customize_register', 'boldthemes_customize_blog_side_info' );



/* GENERAL SECTION 
-------------------------------------------------------------- */

// PAGE BACKGROUND COLOR

BoldThemes_Customize_Default::$data['page_background_color'] = '';

if ( ! function_exists( 'boldthemes_customize_page_background_color' ) ) {
	function boldthemes_customize_page_background_color( $wp_customize ) {
		
		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[page_background_color]', array(
			'default'           => BoldThemes_Customize_Default::$data['page_background_color'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_hex_color'
		));
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'page_background_color', array(
			'label'    => esc_html__( 'Page Background Color', 'avala' ),
			'section'  => BoldThemesFramework::$pfx . '_general_section',
			'settings' => BoldThemesFramework::$pfx . '_theme_options[page_background_color]',
			'priority' => 27,
			'context'  => BoldThemesFramework::$pfx . '_page_background_color'
		)));
	}
}
add_action( 'customize_register', 'boldthemes_customize_page_background_color' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_page_background_color' );


// BACK TO TOP BUTTON

if ( ! function_exists( 'boldthemes_customize_back_to_top' ) ) {
	function boldthemes_customize_back_to_top( $wp_customize ) {
		
		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[back_to_top]', array(
			'default'           => BoldThemes_Customize_Default::$data['back_to_top'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_checkbox'
		));
		$wp_customize->add_control( 'back_to_top', array(
			'label'     => esc_html__( 'Enable back to top.', 'avala' ),
			'description'    => esc_html__( 'Checking this enables the small feature that shows the styled back to top element at the bottom of the page, which appears after some scrolling.', 'avala' ),
			'section'   => BoldThemesFramework::$pfx . '_general_section',
			'settings'  => BoldThemesFramework::$pfx . '_theme_options[back_to_top]',
			'priority'  => 110,
			'type'     => 'checkbox'
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_back_to_top' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_back_to_top' );


// BACK TO TOP TEXT

if ( ! function_exists( 'boldthemes_customize_back_to_top_text' ) ) {
	function boldthemes_customize_back_to_top_text( $wp_customize ) {
		
		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[back_to_top_text]', array(
			'default'           => BoldThemes_Customize_Default::$data['back_to_top_text'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_text_field'
		));
		$wp_customize->add_control( 'back_to_top_text', array(
			'label'    => esc_html__( 'Back to Top Text', 'avala' ),
			'description'    => esc_html__( 'You can add text to your back to top button, but if you leave it blank you\'ll get only an arrow pointing upwards, which is also nice.', 'avala' ),
			'section'  => BoldThemesFramework::$pfx . '_general_section',
			'settings' => BoldThemesFramework::$pfx . '_theme_options[back_to_top_text]',
			'priority' => 111,
			'type'     => 'text'
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_back_to_top_text' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_back_to_top_text' );


// PAGE HEADLINE OVERLAY
BoldThemes_Customize_Default::$data['page_headline_overlay'] = '';
if ( ! function_exists( 'boldthemes_customize_page_headline_overlay' ) ) {
	function boldthemes_customize_page_headline_overlay( $wp_customize ) {

		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[page_headline_overlay]', array(
			'default'           => BoldThemes_Customize_Default::$data['page_headline_overlay'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_select'
		));

		$wp_customize->add_control( 'page_headline_overlay', array(
			'label'     		=> esc_html__( 'Page Headline Overlay', 'avala' ),
			'section'   		=> BoldThemesFramework::$pfx . '_general_section',
			'settings'  		=> BoldThemesFramework::$pfx . '_theme_options[page_headline_overlay]',
			'priority'  		=> 99,
			'type'      		=> 'select',
			'choices'   => array(
				''				=> esc_html__( 'Default (dark overlay)', 'avala' ),
				'none' 			=> esc_html__( 'None', 'avala' )
			)
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_page_headline_overlay' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_page_headline_overlay' );


// CUSTOM 404 IMAGE

if ( ! function_exists( 'boldthemes_customize_image_404' ) ) {
	function boldthemes_customize_image_404( $wp_customize ) {
		
		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[image_404]', array(
			'default'           => BoldThemes_Customize_Default::$data['image_404'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_image'
		));
		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'image_404', array(
			'label'    => esc_html__( 'Custom Error 404 Page Image', 'avala' ),
			'description'    => esc_html__( 'Set static image as a background on Error page. Minimum recommended size: 1920x1080px', 'avala' ),
			'section'  => BoldThemesFramework::$pfx . '_general_section',
			'settings' => BoldThemesFramework::$pfx . '_theme_options[image_404]',
			'priority' => 121,
			'context'  => BoldThemesFramework::$pfx . '_image_404'
		)));
	}
}
add_action( 'customize_register', 'boldthemes_customize_image_404' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_image_404' );



/* TYPO SECTION
-------------------------------------------------------------- */

// HEADING WEIGHT
BoldThemes_Customize_Default::$data['default_heading_weight'] = 'default';
if ( ! function_exists( 'boldthemes_customize_default_heading_weight' ) ) {
	function boldthemes_customize_default_heading_weight( $wp_customize ) {

		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[default_heading_weight]', array(
			'default'           => BoldThemes_Customize_Default::$data['default_heading_weight'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_select'
		));

		$wp_customize->add_control( 'default_heading_weight', array(
			'label'     		=> esc_html__( 'Heading Font Weight', 'avala' ),
			'section'   		=> BoldThemesFramework::$pfx . '_typo_section',
			'settings'  		=> BoldThemesFramework::$pfx . '_theme_options[default_heading_weight]',
			'priority'  		=> 99,
			'type'      		=> 'select',
			'choices'   => array(
				'default'		=> esc_html__( 'Default', 'avala' ),
				'thin' 			=> esc_html__( 'Thin', 'avala' ),
				'lighter' 		=> esc_html__( 'Lighter', 'avala' ),
				'light' 		=> esc_html__( 'Light', 'avala' ),
				'normal' 		=> esc_html__( 'Normal', 'avala' ),
				'medium' 		=> esc_html__( 'Medium', 'avala' ),
				'semi-bold' 	=> esc_html__( 'Semi bold', 'avala' ),
				'bold' 			=> esc_html__( 'Bold', 'avala' ),
				'bolder' 		=> esc_html__( 'Bolder', 'avala' ),
				'black' 		=> esc_html__( 'Black', 'avala' )
			)
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_default_heading_weight' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_default_heading_weight' );


// SUPERTITLE WEIGHT
BoldThemes_Customize_Default::$data['default_supertitle_weight'] = 'default';
if ( ! function_exists( 'boldthemes_customize_default_supertitle_weight' ) ) {
	function boldthemes_customize_default_supertitle_weight( $wp_customize ) {

		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[default_supertitle_weight]', array(
			'default'           => BoldThemes_Customize_Default::$data['default_supertitle_weight'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_select'
		));

		$wp_customize->add_control( 'default_supertitle_weight', array(
			'label'     		=> esc_html__( 'Supertitle Font Weight', 'avala' ),
			'section'   		=> BoldThemesFramework::$pfx . '_typo_section',
			'settings'  		=> BoldThemesFramework::$pfx . '_theme_options[default_supertitle_weight]',
			'priority'  		=> 101,
			'type'      		=> 'select',
			'choices'   => array(
				'default'		=> esc_html__( 'Default', 'avala' ),
				'thin' 			=> esc_html__( 'Thin', 'avala' ),
				'lighter' 		=> esc_html__( 'Lighter', 'avala' ),
				'light' 		=> esc_html__( 'Light', 'avala' ),
				'normal' 		=> esc_html__( 'Normal', 'avala' ),
				'medium' 		=> esc_html__( 'Medium', 'avala' ),
				'semi-bold' 	=> esc_html__( 'Semi bold', 'avala' ),
				'bold' 			=> esc_html__( 'Bold', 'avala' ),
				'bolder' 		=> esc_html__( 'Bolder', 'avala' ),
				'black' 		=> esc_html__( 'Black', 'avala' )
			)
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_default_supertitle_weight' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_default_supertitle_weight' );


// LETTER SPACING SUPERTITLE FONT
BoldThemes_Customize_Default::$data['letter_spacing_supertitle'] = '1.6';
if ( ! function_exists( 'boldthemes_customize_letter_spacing_supertitle' ) ) {
	function boldthemes_customize_letter_spacing_supertitle( $wp_customize ) {
		
		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[letter_spacing_supertitle]', array(
			'default'           => BoldThemes_Customize_Default::$data['letter_spacing_supertitle'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_text_field'
		));

		$wp_customize->add_control( 'letter_spacing_supertitle', array(
			'label'     => esc_html__( 'Letter spacing Supertitle Font', 'avala' ),
			'description'    => esc_html__( 'Enter number (without px) in order to define letter spacing in the supertitle (e.g. -1, 0, 1 etc.).', 'avala' ),
			'section'  => BoldThemesFramework::$pfx . '_typo_section',
			'settings' => BoldThemesFramework::$pfx . '_theme_options[letter_spacing_supertitle]',
			'priority' => 102,
			'type'     => 'text'
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_letter_spacing_supertitle' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_letter_spacing_supertitle' );


// SUBTITLE WEIGHT
BoldThemes_Customize_Default::$data['default_subtitle_weight'] = 'default';
if ( ! function_exists( 'boldthemes_customize_default_subtitle_weight' ) ) {
	function boldthemes_customize_default_subtitle_weight( $wp_customize ) {

		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[default_subtitle_weight]', array(
			'default'           => BoldThemes_Customize_Default::$data['default_subtitle_weight'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_select'
		));

		$wp_customize->add_control( 'default_subtitle_weight', array(
			'label'     		=> esc_html__( 'Subtitle Font Weight', 'avala' ),
			'section'   		=> BoldThemesFramework::$pfx . '_typo_section',
			'settings'  		=> BoldThemesFramework::$pfx . '_theme_options[default_subtitle_weight]',
			'priority'  		=> 104,
			'type'      		=> 'select',
			'choices'   => array(
				'default'		=> esc_html__( 'Default', 'avala' ),
				'thin' 			=> esc_html__( 'Thin', 'avala' ),
				'lighter' 		=> esc_html__( 'Lighter', 'avala' ),
				'light' 		=> esc_html__( 'Light', 'avala' ),
				'normal' 		=> esc_html__( 'Normal', 'avala' ),
				'medium' 		=> esc_html__( 'Medium', 'avala' ),
				'semi-bold' 	=> esc_html__( 'Semi bold', 'avala' ),
				'bold' 			=> esc_html__( 'Bold', 'avala' ),
				'bolder' 		=> esc_html__( 'Bolder', 'avala' ),
				'black' 		=> esc_html__( 'Black', 'avala' )
			)
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_default_subtitle_weight' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_default_subtitle_weight' );


// SUBTITLE STYLE
BoldThemes_Customize_Default::$data['subtitle_style'] = 'italic';
if ( ! function_exists( 'boldthemes_customize_subtitle_style' ) ) {
	function boldthemes_customize_default_subtitle_style( $wp_customize ) {

		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[subtitle_style]', array(
			'default'           => BoldThemes_Customize_Default::$data['subtitle_style'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_select'
		));

		$wp_customize->add_control( 'subtitle_style', array(
			'label'     		=> esc_html__( 'Subtitle Style', 'avala' ),
			'section'   		=> BoldThemesFramework::$pfx . '_typo_section',
			'settings'  		=> BoldThemesFramework::$pfx . '_theme_options[subtitle_style]',
			'priority'  		=> 105,
			'type'      		=> 'select',
			'choices'   => array(
				''					=> esc_html__( 'Default', 'avala' ),
				'italic' 			=> esc_html__( 'Italic', 'avala' )
			)
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_default_subtitle_style' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_default_subtitle_style' );


// BUTTON FONT
if ( ! function_exists( 'boldthemes_customize_button_font' ) ) {
	function boldthemes_customize_button_font( $wp_customize ) {
		
		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[button_font]', array(
			'default'           => urlencode( BoldThemes_Customize_Default::$data['button_font'] ),
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_select'
		));
		$wp_customize->add_control( 'button_font', array(
			'label'     => esc_html__( 'Button Font', 'avala' ),
			'section'   => BoldThemesFramework::$pfx . '_typo_section',
			'settings'  => BoldThemesFramework::$pfx . '_theme_options[button_font]',
			'priority'  => 106,
			'type'      => 'select',
			'choices'   => BoldThemesFramework::$customize_fonts
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_button_font' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_button_font' );


// BUTTON FONT WEIGHT
BoldThemes_Customize_Default::$data['default_button_weight'] = 'default';
if ( ! function_exists( 'boldthemes_customize_default_button_weight' ) ) {
	function boldthemes_customize_default_button_weight( $wp_customize ) {

		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[default_button_weight]', array(
			'default'           => BoldThemes_Customize_Default::$data['default_button_weight'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_select'
		));
		$wp_customize->add_control( 'default_button_weight', array(
			'label'     => esc_html__( 'Button Font Weight', 'avala' ),
			'section'   => BoldThemesFramework::$pfx . '_typo_section',
			'settings'  => BoldThemesFramework::$pfx . '_theme_options[default_button_weight]',
			'priority'  => 107,
			'type'      => 'select',
			'choices'   => array(
				'default'	=> esc_html__( 'Default', 'avala' ),
				'thin' 		=> esc_html__( 'Thin', 'avala' ),
				'lighter' 	=> esc_html__( 'Lighter', 'avala' ),
				'light' 	=> esc_html__( 'Light', 'avala' ),
				'normal' 	=> esc_html__( 'Normal', 'avala' ),
				'medium' 	=> esc_html__( 'Medium', 'avala' ),
				'semi-bold' => esc_html__( 'Semi bold', 'avala' ),
				'bold' 		=> esc_html__( 'Bold', 'avala' ),
				'bolder' 	=> esc_html__( 'Bolder', 'avala' ),
				'black' 	=> esc_html__( 'Black', 'avala' )
			)
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_default_button_weight' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_default_button_weight' );


// BUTTON TEXT STYLE
BoldThemes_Customize_Default::$data['button_text_style'] = '';
if ( ! function_exists( 'boldthemes_customize_button_text_style' ) ) {
	function boldthemes_customize_default_button_text_style( $wp_customize ) {

		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[button_text_style]', array(
			'default'           => BoldThemes_Customize_Default::$data['button_text_style'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_select'
		));

		$wp_customize->add_control( 'button_text_style', array(
			'label'     		=> esc_html__( 'Button Text Style', 'avala' ),
			'section'   		=> BoldThemesFramework::$pfx . '_typo_section',
			'settings'  		=> BoldThemesFramework::$pfx . '_theme_options[button_text_style]',
			'priority'  		=> 108,
			'type'      		=> 'select',
			'choices'   => array(
				''					=> esc_html__( 'Default', 'avala' ),
				'italic' 			=> esc_html__( 'Italic', 'avala' )
			)
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_default_button_text_style' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_default_button_text_style' );



// LETTER SPACING BUTTON FONT
BoldThemes_Customize_Default::$data['letter_spacing_button'] = '';
if ( ! function_exists( 'boldthemes_customize_letter_spacing_button' ) ) {
	function boldthemes_customize_letter_spacing_button( $wp_customize ) {
		
		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[letter_spacing_button]', array(
			'default'           => BoldThemes_Customize_Default::$data['letter_spacing_button'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_text_field'
		));

		$wp_customize->add_control( 'letter_spacing_button', array(
			'label'     => esc_html__( 'Letter spacing Button Font', 'avala' ),
			'description'    => esc_html__( 'Enter number (without px) in order to define letter spacing in the buttons (e.g. -1, 0, 1 etc.).', 'avala' ),
			'section'  => BoldThemesFramework::$pfx . '_typo_section',
			'settings' => BoldThemesFramework::$pfx . '_theme_options[letter_spacing_button]',
			'priority' => 111,
			'type'     => 'text'
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_letter_spacing_button' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_letter_spacing_button' );


// MENU WEIGHT
BoldThemes_Customize_Default::$data['default_menu_weight'] = 'default';
if ( ! function_exists( 'boldthemes_customize_default_menu_weight' ) ) {
	function boldthemes_customize_default_menu_weight( $wp_customize ) {

		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[default_menu_weight]', array(
			'default'           => BoldThemes_Customize_Default::$data['default_menu_weight'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_select'
		));
		$wp_customize->add_control( 'default_menu_weight', array(
			'label'     => esc_html__( 'Menu Font Weight', 'avala' ),
			'section'   => BoldThemesFramework::$pfx . '_typo_section',
			'settings'  => BoldThemesFramework::$pfx . '_theme_options[default_menu_weight]',
			'priority'  => 113,
			'type'      => 'select',
			'choices'   => array(
				'default'	=> esc_html__( 'Default', 'avala' ),
				'thin' 		=> esc_html__( 'Thin', 'avala' ),
				'lighter' 	=> esc_html__( 'Lighter', 'avala' ),
				'light' 	=> esc_html__( 'Light', 'avala' ),
				'normal' 	=> esc_html__( 'Normal', 'avala' ),
				'medium' 	=> esc_html__( 'Medium', 'avala' ),
				'semi-bold' => esc_html__( 'Semi bold', 'avala' ),
				'bold' 		=> esc_html__( 'Bold', 'avala' ),
				'bolder' 	=> esc_html__( 'Bolder', 'avala' ),
				'black' 	=> esc_html__( 'Black', 'avala' )
			)
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_default_menu_weight' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_default_menu_weight' );


// MENU FONT SIZE
if ( ! function_exists( 'boldthemes_customize_menu_font_size' ) ) {
	function boldthemes_customize_menu_font_size( $wp_customize ) {
		
		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[menu_font_size]', array(
			'default'           => BoldThemes_Customize_Default::$data['menu_font_size'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_select'
		));
		$wp_customize->add_control( 'menu_font_size', array(
			'label'     => esc_html__( 'Menu Font Size', 'avala' ),
			'description'    => esc_html__( 'Set the font size you wish which will affect only the menu and menu widgets.', 'avala' ),
			'section'   => BoldThemesFramework::$pfx . '_typo_section',
			'settings'  => BoldThemesFramework::$pfx . '_theme_options[menu_font_size]',
			'priority'  => 114,
			'type'      => 'select',
			'choices'   => array(
				'14'  	=> esc_html__( '14px', 'avala' ),
				'15'  	=> esc_html__( '15px', 'avala' ),
				'16'  	=> esc_html__( '16px', 'avala' ),
				'17'  	=> esc_html__( '17px', 'avala' )
			)
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_menu_font_size' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_menu_font_size' );

// CAPITALIZE MAIN MENU
BoldThemes_Customize_Default::$data['capitalize_main_menu'] = false;
if ( ! function_exists( 'boldthemes_customize_capitalize_main_menu' ) ) {
	function boldthemes_customize_capitalize_main_menu( $wp_customize ) {
		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[capitalize_main_menu]', array(
			'default'           => BoldThemes_Customize_Default::$data['capitalize_main_menu'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_checkbox'
		));
		$wp_customize->add_control( 'capitalize_main_menu', array(
			'label'     => esc_html__( 'Capitalize Menu Items', 'avala' ),
			'section'   => BoldThemesFramework::$pfx . '_typo_section',
			'settings'  => BoldThemesFramework::$pfx . '_theme_options[capitalize_main_menu]',
			'priority'  => 115,
			'type'      => 'checkbox'
		));
	}
}

add_action( 'customize_register', 'boldthemes_customize_capitalize_main_menu' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_capitalize_main_menu' );


// BODY FONT WEIGHT
BoldThemes_Customize_Default::$data['body_font_weight'] = '';
if ( ! function_exists( 'boldthemes_customize_body_font_weight' ) ) {
	function boldthemes_customize_body_font_weight( $wp_customize ) {

		$wp_customize->add_setting( BoldThemesFramework::$pfx . '_theme_options[body_font_weight]', array(
			'default'           => BoldThemes_Customize_Default::$data['body_font_weight'],
			'type'              => 'option',
			'capability'        => 'edit_theme_options',
			'sanitize_callback' => 'boldthemes_sanitize_select'
		));

		$wp_customize->add_control( 'body_font_weight', array(
			'label'     		=> esc_html__( 'Body Font Weight', 'avala' ),
			'section'   		=> BoldThemesFramework::$pfx . '_typo_section',
			'settings'  		=> BoldThemesFramework::$pfx . '_theme_options[body_font_weight]',
			'priority'  		=> 116,
			'type'      		=> 'select',
			'choices'   => array(
				''				=> esc_html__( 'Normal', 'avala' ),
				'light' 		=> esc_html__( 'Light', 'avala' )
			)
		));
	}
}
add_action( 'customize_register', 'boldthemes_customize_body_font_weight' );
add_action( 'boldthemes_customize_register', 'boldthemes_customize_body_font_weight' );



/* Helper function */

if ( ! function_exists( 'avala_body_class' ) ) {
	function avala_body_class( $extra_class ) {
		if ( boldthemes_get_option( 'default_heading_weight' ) ) {
			$extra_class[] =  'btHeadingWeight' . boldthemes_convert_param_to_camel_case ( boldthemes_get_option( 'default_heading_weight' ) );
		}
		if ( boldthemes_get_option( 'default_supertitle_weight' ) ) {
			$extra_class[] =  'btSupertitleWeight' . boldthemes_convert_param_to_camel_case ( boldthemes_get_option( 'default_supertitle_weight' ) );
		}
		if ( boldthemes_get_option( 'default_subtitle_weight' ) ) {
			$extra_class[] =  'btSubtitleWeight' . boldthemes_convert_param_to_camel_case ( boldthemes_get_option( 'default_subtitle_weight' ) );
		}
		if ( boldthemes_get_option( 'subtitle_style' ) ) {
			$extra_class[] =  'btSubtitleStyle' . boldthemes_convert_param_to_camel_case ( boldthemes_get_option( 'subtitle_style' ) );
		}
		if ( boldthemes_get_option( 'default_button_weight' ) ) {
			$extra_class[] =  'btButtonWeight' . boldthemes_convert_param_to_camel_case ( boldthemes_get_option( 'default_button_weight' ) );
		}
		if ( boldthemes_get_option( 'page_headline_overlay' ) ) {
			$extra_class[] =  'btPageHeadlineOverlay' . boldthemes_convert_param_to_camel_case ( boldthemes_get_option( 'page_headline_overlay' ) );
		}
		if ( boldthemes_get_option( 'menu_font_size' ) ) {
			$extra_class[] =  'btMenuFontSize-' . boldthemes_convert_param_to_camel_case ( boldthemes_get_option( 'menu_font_size' ) );
		}
		if ( boldthemes_get_option( 'body_font_weight' ) ) {
			$extra_class[] =  'btBodyWeight' . boldthemes_convert_param_to_camel_case ( boldthemes_get_option( 'body_font_weight' ) );
		}

		return $extra_class;
	}
}