<?php

// NEW IMAGE SIZES

function avala_custom_image_sizes () {
	
	/* Large */
	add_image_size( 'boldthemes_vertical_large_16:9', 850, 1280, true );
	add_image_size( 'boldthemes_large_16:9', 1280, 850, true );
	
	/* Medium */
	add_image_size( 'boldthemes_vertical_medium_16:9', 720, 1080, true );
	add_image_size( 'boldthemes_medium_16:9', 1080, 720, true );
	
	/* Small */
	add_image_size( 'boldthemes_vertical_small_16:9', 360, 540, true );
	add_image_size( 'boldthemes_small_16:9', 540, 360, true );

}

add_action( 'after_setup_theme', 'avala_custom_image_sizes', 11);


// COLOR SCHEME

if ( is_file( dirname(__FILE__) . '/../../../../plugins/bold-page-builder/content_elements_misc/misc.php' ) ) {
	require_once( dirname(__FILE__) . '/../../../../plugins/bold-page-builder/content_elements_misc/misc.php' );
}
if ( function_exists('bt_bb_get_color_scheme_param_array') ) {
	$color_scheme_arr = bt_bb_get_color_scheme_param_array();
} else {
	$color_scheme_arr = array();
}


// ROW - ANIMATION, BORDER

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_row', array(
		array( 'param_name' => 'border', 'type' => 'dropdown', 'group' => esc_html__( 'Design', 'avala' ), 'heading' => esc_html__( 'Show border', 'avala' ), 'description' => esc_html__( 'Show bottom gold gradient border', 'avala' ), 'preview' => true,
			'value' => array(
				esc_html__( 'No', 'avala' ) 		=> '',
				esc_html__( 'Yes', 'avala' ) 		=> 'bottom'
			)
		),
	));
}

function avala_bt_bb_row_class( $class, $atts ) {
	if ( isset( $atts['border'] ) && $atts['border'] != '' ) {
		$class[] = 'bt_bb_border' . '_' . $atts['border'];
	}
	return $class;
}

add_filter( 'bt_bb_row_class', 'avala_bt_bb_row_class', 10, 2 );


// COLUMN - PADDING, INNER COLOR SCHEME, BORDER

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_column', 'padding' );
}

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_column', array(
		array( 'param_name' => 'padding', 'type' => 'dropdown', 'heading' => esc_html__( 'Inner padding', 'avala' ), 'preview' => true,
			'responsive_override' => true, 'value' => array(
				esc_html__( 'Normal', 'avala' ) 		=> 'normal',
				esc_html__( 'Double', 'avala' ) 		=> 'double',
				esc_html__( 'Text Indent', 'avala' ) 	=> 'text_indent',
				esc_html__( '0px', 'avala' ) 			=> '0',
				esc_html__( '5px', 'avala' ) 			=> '5',
				esc_html__( '10px', 'avala' ) 		=> '10',
				esc_html__( '15px', 'avala' ) 		=> '15',
				esc_html__( '20px', 'avala' ) 		=> '20',
				esc_html__( '25px', 'avala' ) 		=> '25',
				esc_html__( '30px', 'avala' ) 		=> '30',
				esc_html__( '35px', 'avala' ) 		=> '35',
				esc_html__( '40px', 'avala' ) 		=> '40',
				esc_html__( '45px', 'avala' ) 		=> '45',
				esc_html__( '50px', 'avala' ) 		=> '50',
				esc_html__( '55px', 'avala' ) 		=> '55',
				esc_html__( '60px', 'avala' ) 		=> '60',
				esc_html__( '65px', 'avala' ) 		=> '65',
				esc_html__( '70px', 'avala' ) 		=> '70',
				esc_html__( '75px', 'avala' ) 		=> '75',
				esc_html__( '80px', 'avala' ) 		=> '80',
				esc_html__( '85px', 'avala' ) 		=> '85',
				esc_html__( '90px', 'avala' ) 		=> '90',
				esc_html__( '95px', 'avala' ) 		=> '95',
				esc_html__( '100px', 'avala' ) 		=> '100'
			)
		),
		array( 'param_name' => 'top_border', 'type' => 'checkbox', 'value' => array( esc_html__( 'Yes', 'avala' ) => 'top_border' ), 'group' => esc_html__( 'Borders', 'avala' ), 'heading' => esc_html__( 'Top Border', 'avala' )
		),
		array( 'param_name' => 'bottom_border', 'type' => 'checkbox', 'group' => esc_html__( 'Borders', 'avala' ), 'value' => array( esc_html__( 'Yes', 'avala' ) => 'bottom_border' ), 'heading' => esc_html__( 'Bottom Border', 'avala' )
		),
		array( 'param_name' => 'left_border', 'type' => 'checkbox', 'group' => esc_html__( 'Borders', 'avala' ), 'value' => array( esc_html__( 'Yes', 'avala' ) => 'left_border' ), 'heading' => esc_html__( 'Left Border', 'avala' )
		),
		array( 'param_name' => 'right_border', 'type' => 'checkbox', 'group' => esc_html__( 'Borders', 'avala' ), 'value' => array( esc_html__( 'Yes', 'avala' ) => 'right_border' ), 'heading' => esc_html__( 'Right Border', 'avala' )
		),
		array( 'param_name' => 'border_style', 'type' => 'dropdown', 'heading' => esc_html__( 'Border style', 'avala' ), 'group' => esc_html__( 'Borders', 'avala' ),
			'value' => array(
				esc_html__( 'Dark color', 'avala' ) 				=> '',
				esc_html__( 'Light color', 'avala' ) 				=> 'light',
				esc_html__( 'Accent color', 'avala' ) 			=> 'accent',
				esc_html__( 'Alternate color', 'avala' ) 			=> 'alternate',
				esc_html__( 'Gray color', 'avala' ) 				=> 'gray'
			)
		),
		array( 'param_name' => 'border_position', 'type' => 'dropdown', 'heading' => esc_html__( 'Border position', 'avala' ), 'group' => esc_html__( 'Borders', 'avala' ), 'description' => esc_html__( 'Show regular or inner border', 'avala' ),
			'value' => array(
				esc_html__( 'Regular', 'avala' ) 					=> '',
				esc_html__( 'Inner', 'avala' ) 					=> 'inner'
			)
		),
		array( 'param_name' => 'border', 'type' => 'dropdown', 'heading' => esc_html__( 'Gradient Border', 'avala' ), 'group' => esc_html__( 'Borders', 'avala' ), 'description' => esc_html__( 'Show bottom gold gradient border', 'avala' ),
			'value' => array(
				esc_html__( 'No', 'avala' ) 						=> '',
				esc_html__( 'Yes', 'avala' ) 						=> 'bottom'
			)
		),

		array( 'param_name' => 'background_size', 'type' => 'dropdown', 'group' => esc_html__( 'Design', 'avala' ), 'heading' => esc_html__( 'Background image size', 'avala' ),
			'value' => array(
				esc_html__( 'Default', 'avala' ) 					=> '',
				esc_html__( 'Cover background size', 'avala' ) 	=> 'cover',
				esc_html__( 'Contain background size', 'avala' ) 	=> 'contain'
			)
		),
	));
}

function avala_bt_bb_column_class( $class, $atts ) {
	if ( isset( $atts['top_border'] ) && $atts['top_border'] != '' ) {
		$class[] = 'bt_bb_top_border';
	}
	if ( isset( $atts['bottom_border'] ) && $atts['bottom_border'] != '' ) {
		$class[] = 'bt_bb_bottom_border';
	}
	if ( isset( $atts['right_border'] ) && $atts['right_border'] != '' ) {
		$class[] = 'bt_bb_right_border';
	}
	if ( isset( $atts['left_border'] ) && $atts['left_border'] != '' ) {
		$class[] = 'bt_bb_left_border';
	}
	if ( isset( $atts['border_style'] ) && $atts['border_style'] != '' ) {
		$class[] = 'bt_bb_border_style' . '_' . $atts['border_style'];
	}
	if ( isset( $atts['border_position'] ) && $atts['border_position'] != '' ) {
		$class[] = 'bt_bb_border_position' . '_' . $atts['border_position'];
	}
	if ( isset( $atts['border'] ) && $atts['border'] != '' ) {
		$class[] = 'bt_bb_border' . '_' . $atts['border'];
	}
	if ( isset( $atts['background_size'] ) && $atts['background_size'] != '' ) {
		$class[] = 'bt_bb_background_size' . '_' . $atts['background_size'];
	}
	return $class;
}

add_filter( 'bt_bb_column_class', 'avala_bt_bb_column_class', 10, 2 );


// INNER COLUMN - PADDING, INNER COLOR SCHEME, BORDER, BACKGROUND SIZE, BOTTOM MARGIN

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_column_inner', 'padding' );
}

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_column_inner', array(
		array( 'param_name' => 'padding', 'type' => 'dropdown', 'heading' => esc_html__( 'Inner padding', 'avala' ), 'preview' => true,
			'responsive_override' => true, 'value' => array(
				esc_html__( 'Normal', 'avala' ) 		=> 'normal',
				esc_html__( 'Double', 'avala' ) 		=> 'double',
				esc_html__( 'Text Indent', 'avala' ) 	=> 'text_indent',
				esc_html__( '0px', 'avala' ) 			=> '0',
				esc_html__( '5px', 'avala' ) 			=> '5',
				esc_html__( '10px', 'avala' ) 		=> '10',
				esc_html__( '15px', 'avala' ) 		=> '15',
				esc_html__( '20px', 'avala' ) 		=> '20',
				esc_html__( '25px', 'avala' ) 		=> '25',
				esc_html__( '30px', 'avala' ) 		=> '30',
				esc_html__( '35px', 'avala' ) 		=> '35',
				esc_html__( '40px', 'avala' ) 		=> '40',
				esc_html__( '45px', 'avala' ) 		=> '45',
				esc_html__( '50px', 'avala' ) 		=> '50',
				esc_html__( '55px', 'avala' ) 		=> '55',
				esc_html__( '60px', 'avala' ) 		=> '60',
				esc_html__( '65px', 'avala' ) 		=> '65',
				esc_html__( '70px', 'avala' ) 		=> '70',
				esc_html__( '75px', 'avala' ) 		=> '75',
				esc_html__( '80px', 'avala' ) 		=> '80',
				esc_html__( '85px', 'avala' ) 		=> '85',
				esc_html__( '90px', 'avala' ) 		=> '90',
				esc_html__( '95px', 'avala' ) 		=> '95',
				esc_html__( '100px', 'avala' ) 		=> '100'
			)
		),
		array( 'param_name' => 'border', 'type' => 'dropdown', 'heading' => esc_html__( 'Show border', 'avala' ), 'group' => esc_html__( 'Design', 'avala' ), 'preview' => true, 'description' => esc_html__( 'Show bottom gold gradient border', 'avala' ),
			'value' => array(
				esc_html__( 'No', 'avala' ) 						=> '',
				esc_html__( 'Yes', 'avala' ) 						=> 'bottom'
			)
		),
		array( 'param_name' => 'background_size', 'type' => 'dropdown', 'group' => esc_html__( 'Design', 'avala' ), 'heading' => esc_html__( 'Background image size', 'avala' ),
			'value' => array(
				esc_html__( 'Default', 'avala' ) 					=> '',
				esc_html__( 'Cover background size', 'avala' ) 	=> 'cover',
				esc_html__( 'Contain background size', 'avala' ) 	=> 'contain'
			)
		),
		array( 'param_name' => 'bottom_margin', 'type' => 'dropdown', 'heading' => esc_html__( 'Bottom margin', 'avala' ), 'description' => esc_html__( 'This option will move Inner column from the bottom (vertical align bottom)', 'avala' ),
		'value' => array(
				esc_html__( 'No margin', 'avala' ) 				=> '',
				esc_html__( 'Extra small', 'avala' ) 				=> 'extrasmall',
				esc_html__( 'Small', 'avala' ) 					=> 'small',
				esc_html__( 'Normal', 'avala' ) 					=> 'normal',
				esc_html__( 'Medium', 'avala' ) 					=> 'medium',
				esc_html__( 'Large', 'avala' ) 					=> 'large'
			)
		),
		array( 'param_name' => 'left_margin', 'type' => 'dropdown', 'heading' => esc_html__( 'Left margin', 'avala' ), 'description' => esc_html__( 'This option will move Inner column to the left (disabled on < 1300px)', 'avala' ),
		'value' => array(
				esc_html__( 'No margin', 'avala' ) 				=> '',
				esc_html__( 'Extra small', 'avala' ) 				=> 'extrasmall',
				esc_html__( 'Small', 'avala' ) 					=> 'small',
				esc_html__( 'Normal', 'avala' ) 					=> 'normal',
				esc_html__( 'Medium', 'avala' ) 					=> 'medium',
				esc_html__( 'Large', 'avala' ) 					=> 'large'
			)
		),
		array( 'param_name' => 'right_margin', 'type' => 'dropdown', 'heading' => esc_html__( 'Right margin', 'avala' ), 'description' => esc_html__( 'This option will move Inner column to the right (disabled on < 1300px)', 'avala' ),
		'value' => array(
				esc_html__( 'No margin', 'avala' ) 				=> '',
				esc_html__( 'Extra small', 'avala' ) 				=> 'extrasmall',
				esc_html__( 'Small', 'avala' ) 					=> 'small',
				esc_html__( 'Normal', 'avala' ) 					=> 'normal',
				esc_html__( 'Medium', 'avala' ) 					=> 'medium',
				esc_html__( 'Large', 'avala' ) 					=> 'large'
			)
		),
	));
}

function avala_bt_bb_column_inner_class( $class, $atts ) {
	if ( isset( $atts['background_size'] ) && $atts['background_size'] != '' ) {
		$class[] = 'bt_bb_background_size' . '_' . $atts['background_size'];
	}
	if ( isset( $atts['bottom_margin'] ) && $atts['bottom_margin'] != '' ) {
		$class[] = 'bt_bb_bottom_margin' . '_' . $atts['bottom_margin'];
	}
	if ( isset( $atts['left_margin'] ) && $atts['left_margin'] != '' ) {
		$class[] = 'bt_bb_left_margin' . '_' . $atts['left_margin'];
	}
	if ( isset( $atts['right_margin'] ) && $atts['right_margin'] != '' ) {
		$class[] = 'bt_bb_right_margin' . '_' . $atts['right_margin'];
	}
	if ( isset( $atts['border'] ) && $atts['border'] != '' ) {
		$class[] = 'bt_bb_border' . '_' . $atts['border'];
	}
	return $class;
}
add_filter( 'bt_bb_column_inner_class', 'avala_bt_bb_column_inner_class', 10, 2 );


// CUSTOM MENU - WEIGHT

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_custom_menu', 'font_weight' );
}

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_custom_menu', array(
		array( 'param_name' => 'weight', 'type' => 'dropdown', 'heading' => esc_html__( 'Font weight', 'avala' ),
			'value' => array(
				esc_html__( 'Default', 'avala' ) 				=> '',
				esc_html__( 'Thin', 'avala' ) 				=> 'thin',
				esc_html__( 'Lighter', 'avala' ) 				=> 'lighter',
				esc_html__( 'Light', 'avala' ) 				=> 'light',
				esc_html__( 'Normal', 'avala' ) 				=> 'normal',
				esc_html__( 'Medium', 'avala' ) 				=> 'medium',
				esc_html__( 'Semi bold', 'avala' ) 			=> 'semi-bold',
				esc_html__( 'Bold', 'avala' ) 				=> 'bold',
				esc_html__( 'Bolder', 'avala' ) 				=> 'bolder',
				esc_html__( 'Black', 'avala' ) 				=> 'black'
			)
		),
	));
}


function avala_bt_bb_custom_menu_class( $class, $atts ) {
	if ( isset( $atts['weight'] ) && $atts['weight'] != '' ) {
		$class[] = 'bt_bb_font_weight' . '_' . $atts['weight'];
	}
	return $class;
}

add_filter( 'bt_bb_custom_menu_class', 'avala_bt_bb_custom_menu_class', 10, 2 );



// BUTTON - WEIGHT, STYLE

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_button', 'style' );
}

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_button', array(
		array( 'param_name' => 'style', 'type' => 'dropdown', 'heading' => esc_html__( 'Style', 'avala' ), 'preview' => true, 'group' => esc_html__( 'Design', 'avala' ),
			'value' => array(
				esc_html__( 'Outline', 'avala' ) 		=> 'outline',
				esc_html__( 'Filled', 'avala' ) 		=> 'filled',
				esc_html__( 'Clean', 'avala' ) 		=> 'clean',
				esc_html__( 'Underline', 'avala' ) 	=> 'underline',
				esc_html__( 'With Line', 'avala' ) 	=> 'line',
				esc_html__( 'With Arrow', 'avala' ) 	=> 'arrow'
			)
		),
	));
}

function avala_bt_bb_button_class( $class, $atts ) {
	if ( isset( $atts['icon'] ) && $atts['icon'] != '' ) {
		$class[] = 'btWithIcon';
	}
	if ( isset( $atts['text'] ) && $atts['text'] != '' ) {
		$class[] = 'btWithText';
	}
	return $class;
}
add_filter( 'bt_bb_button_class', 'avala_bt_bb_button_class', 10, 2 );


// ICON - SIZE

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_icon', 'size' );
}

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_icon', array(
		array( 'param_name' => 'size', 'type' => 'dropdown', 'default' => 'small', 'heading' => esc_html__( 'Size', 'avala' ), 'responsive_override' => true, 'preview' => true, 'group' => esc_html__( 'Design', 'avala' ),
			'value' => array(
				esc_html__( 'Extra small', 'avala' ) 			=> 'xsmall',
				esc_html__( 'Small', 'avala' ) 				=> 'small',
				esc_html__( 'Normal', 'avala' ) 				=> 'normal',
				esc_html__( 'Large', 'avala' ) 				=> 'large',
				esc_html__( 'Extra large', 'avala' ) 			=> 'xlarge',
				esc_html__( 'Huge', 'avala' ) 				=> 'huge',
				esc_html__( 'Extra huge', 'avala' ) 			=> 'xhuge'
			)
		),
	));
}


// SLIDER - NAVIGATION COLOR

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_content_slider', 'arrows_size' );
}

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_content_slider', 'show_dots' );
}

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_content_slider', array(
		array( 'param_name' => 'navigation_color', 'type' => 'dropdown', 'heading' => esc_html__( 'Navigation color', 'avala' ),
			'value' => array(
				esc_html__( 'Accent', 'avala' ) 			=> '',
				esc_html__( 'Dark', 'avala' ) 			=> 'dark',
				esc_html__( 'Light', 'avala' ) 			=> 'light',
				esc_html__( 'Alternate', 'avala' ) 		=> 'alternate'
			)
		),
		array( 'param_name' => 'show_dots', 'type' => 'dropdown', 'heading' => esc_html__( 'Navigation position', 'avala' ),
			'value' => array(
				esc_html__( 'Bottom', 'avala' ) 			=> 'bottom',
				esc_html__( 'Below', 'avala' ) 			=> 'below',
				esc_html__( 'Hide', 'avala' ) 			=> 'hide'
			)
		),
		array( 'param_name' => 'wide_content', 'type' => 'dropdown', 'heading' => esc_html__( 'Wide content', 'avala' ), 'description' => esc_html__( 'Show wide content if section layout is wide', 'avala' ),
			'value' => array(
				esc_html__( 'No', 'avala' ) 				=> '',
				esc_html__( 'Yes', 'avala' ) 				=> 'show'
			)
		),
	));
}

function avala_bt_bb_content_slider_class( $class, $atts ) {
	if ( isset( $atts['navigation_color'] ) && $atts['navigation_color'] != '' ) {
		$class[] = 'bt_bb_navigation_color' . '_' . $atts['navigation_color'];
	}
	if ( isset( $atts['wide_content'] ) && $atts['wide_content'] != '' ) {
		$class[] = 'bt_bb_wide_content' . '_' . $atts['wide_content'];
	}
	return $class;
}

add_filter( 'bt_bb_content_slider_class', 'avala_bt_bb_content_slider_class', 10, 2 );


// SLIDER ITEM

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_content_slider_item', array(
		array( 'param_name' => 'effect', 'type' => 'dropdown', 'description' => esc_html__( 'Use when Slider Itam does not have content', 'avala' ), 'heading' => esc_html__( 'Zoom Effect', 'avala' ),
			'value' => array(
				esc_html__( 'No', 'avala' ) 			=> '',
				esc_html__( 'Yes', 'avala' ) 			=> 'zoom'
			)
		),
	));
}

function avala_bt_bb_content_slider_item_class( $class, $atts ) {
	if ( isset( $atts['effect'] ) && $atts['effect'] != '' ) {
		$class[] = 'bt_bb_effect' . '_' . $atts['effect'];
	}
	return $class;
}

add_filter( 'bt_bb_content_slider_item_class', 'avala_bt_bb_content_slider_item_class', 10, 2 );


// TABS - DIRECTION

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_tabs', 'style' );
}

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_tabs', 'shape' );
}

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_tabs', array(
		array( 'param_name' => 'direction', 'type' => 'dropdown', 'heading' => esc_html__( 'Direction', 'avala' ),
			'value' => array(
				esc_html__( 'Horizontal', 'avala' ) 			=> '',
				esc_html__( 'Vertical', 'avala' ) 			=> 'vertical'
			)
		),
	));
}

function avala_bt_bb_tabs_class( $class, $atts ) {
	if ( isset( $atts['direction'] ) && $atts['direction'] != '' ) {
		$class[] = 'bt_bb_direction' . '_' . $atts['direction'];
	}
	return $class;
}

add_filter( 'bt_bb_tabs_class', 'avala_bt_bb_tabs_class', 10, 2 );


// IMAGE - NEGATIVE MARGIN, INNER GAP

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_image', 'content_display' );
}

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_image', array(
		array( 'param_name' => 'content_display', 'type' => 'dropdown', 'heading' => esc_html__( 'Show content', 'avala' ), 'description' => esc_html__( 'Add selected elements and show them over the image', 'avala' ), 'group' => esc_html__( 'Content', 'avala' ),
			'value' => array(
				esc_html__( 'Always', 'avala' ) 										=> 'always',
				esc_html__( 'Show on hover', 'avala' ) 								=> 'show-on-hover',
				esc_html__( 'Hide on hover', 'avala' ) 								=> 'hide-on-hover',
				esc_html__( 'Show on hover (show always on responsive)', 'avala' ) 	=> 'always-responsive'
			)
		),
		array( 'param_name' => 'negative_margin', 'type' => 'dropdown', 'heading' => esc_html__( 'Top negative margin', 'avala' ), 'description' => esc_html__( 'This option will move Image to the top (disabled on screens <992px)', 'avala' ),
		'value' => array(
				esc_html__( 'No margin', 'avala' ) 	=> '',
				esc_html__( 'Extra small', 'avala' ) 	=> 'extrasmall',
				esc_html__( 'Small', 'avala' ) 		=> 'small',
				esc_html__( 'Normal', 'avala' ) 		=> 'normal',
				esc_html__( 'Medium', 'avala' ) 		=> 'medium',
				esc_html__( 'Large', 'avala' ) 		=> 'large',
				esc_html__( 'Extra large', 'avala' ) 	=> 'extralarge',
				esc_html__( 'Huge', 'avala' ) 		=> 'huge',
				esc_html__( '5px', 'avala' ) 			=> '5',
				esc_html__( '10px', 'avala' ) 		=> '10',
				esc_html__( '15px', 'avala' ) 		=> '15',
				esc_html__( '20px', 'avala' ) 		=> '20',
				esc_html__( '25px', 'avala' ) 		=> '25',
				esc_html__( '30px', 'avala' ) 		=> '30',
				esc_html__( '35px', 'avala' ) 		=> '35',
				esc_html__( '40px', 'avala' ) 		=> '40',
				esc_html__( '45px', 'avala' ) 		=> '45',
				esc_html__( '50px', 'avala' ) 		=> '50',
				esc_html__( '55px', 'avala' ) 		=> '55',
				esc_html__( '60px', 'avala' ) 		=> '60',
				esc_html__( '65px', 'avala' ) 		=> '65',
				esc_html__( '70px', 'avala' ) 		=> '70',
				esc_html__( '75px', 'avala' ) 		=> '75',
				esc_html__( '80px', 'avala' ) 		=> '80',
				esc_html__( '85px', 'avala' ) 		=> '85',
				esc_html__( '90px', 'avala' ) 		=> '90',
				esc_html__( '95px', 'avala' ) 		=> '95',
				esc_html__( '100px', 'avala' ) 		=> '100'
			)
		),
		array( 'param_name' => 'left_margin', 'type' => 'dropdown', 'heading' => esc_html__( 'Left negative margin', 'avala' ), 'description' => esc_html__( 'This option will move Image to the left (disabled on screens <992px)', 'avala' ),
		'value' => array(
				esc_html__( 'No margin', 'avala' ) 	=> '',
				esc_html__( 'Extra small', 'avala' ) 	=> 'extrasmall',
				esc_html__( 'Small', 'avala' ) 		=> 'small',
				esc_html__( 'Normal', 'avala' ) 		=> 'normal',
				esc_html__( 'Medium', 'avala' ) 		=> 'medium',
				esc_html__( 'Large', 'avala' ) 		=> 'large',
				esc_html__( 'Extra large', 'avala' ) 	=> 'extralarge',
				esc_html__( 'Huge', 'avala' ) 		=> 'huge',
				esc_html__( '5px', 'avala' ) 			=> '5',
				esc_html__( '10px', 'avala' ) 		=> '10',
				esc_html__( '15px', 'avala' ) 		=> '15',
				esc_html__( '20px', 'avala' ) 		=> '20',
				esc_html__( '25px', 'avala' ) 		=> '25',
				esc_html__( '30px', 'avala' ) 		=> '30',
				esc_html__( '35px', 'avala' ) 		=> '35',
				esc_html__( '40px', 'avala' ) 		=> '40',
				esc_html__( '45px', 'avala' ) 		=> '45',
				esc_html__( '50px', 'avala' ) 		=> '50',
				esc_html__( '55px', 'avala' ) 		=> '55',
				esc_html__( '60px', 'avala' ) 		=> '60',
				esc_html__( '65px', 'avala' ) 		=> '65',
				esc_html__( '70px', 'avala' ) 		=> '70',
				esc_html__( '75px', 'avala' ) 		=> '75',
				esc_html__( '80px', 'avala' ) 		=> '80',
				esc_html__( '85px', 'avala' ) 		=> '85',
				esc_html__( '90px', 'avala' ) 		=> '90',
				esc_html__( '95px', 'avala' ) 		=> '95',
				esc_html__( '100px', 'avala' ) 		=> '100'
			)
		),
		array( 'param_name' => 'right_margin', 'type' => 'dropdown', 'heading' => esc_html__( 'Right negative margin', 'avala' ), 'description' => esc_html__( 'This option will move Image to the right (disabled on screens <992px)', 'avala' ),
		'value' => array(
				esc_html__( 'No margin', 'avala' ) 	=> '',
				esc_html__( 'Extra small', 'avala' ) 	=> 'extrasmall',
				esc_html__( 'Small', 'avala' ) 		=> 'small',
				esc_html__( 'Normal', 'avala' ) 		=> 'normal',
				esc_html__( 'Medium', 'avala' ) 		=> 'medium',
				esc_html__( 'Large', 'avala' ) 		=> 'large',
				esc_html__( 'Extra large', 'avala' ) 	=> 'extralarge',
				esc_html__( 'Huge', 'avala' ) 		=> 'huge',
				esc_html__( '5px', 'avala' ) 			=> '5',
				esc_html__( '10px', 'avala' ) 		=> '10',
				esc_html__( '15px', 'avala' ) 		=> '15',
				esc_html__( '20px', 'avala' ) 		=> '20',
				esc_html__( '25px', 'avala' ) 		=> '25',
				esc_html__( '30px', 'avala' ) 		=> '30',
				esc_html__( '35px', 'avala' ) 		=> '35',
				esc_html__( '40px', 'avala' ) 		=> '40',
				esc_html__( '45px', 'avala' ) 		=> '45',
				esc_html__( '50px', 'avala' ) 		=> '50',
				esc_html__( '55px', 'avala' ) 		=> '55',
				esc_html__( '60px', 'avala' ) 		=> '60',
				esc_html__( '65px', 'avala' ) 		=> '65',
				esc_html__( '70px', 'avala' ) 		=> '70',
				esc_html__( '75px', 'avala' ) 		=> '75',
				esc_html__( '80px', 'avala' ) 		=> '80',
				esc_html__( '85px', 'avala' ) 		=> '85',
				esc_html__( '90px', 'avala' ) 		=> '90',
				esc_html__( '95px', 'avala' ) 		=> '95',
				esc_html__( '100px', 'avala' ) 		=> '100'
			)
		),
		array( 'param_name' => 'bottom_margin', 'type' => 'dropdown', 'heading' => esc_html__( 'Bottom negative margin', 'avala' ), 'description' => esc_html__( 'This option will move Image to the bottom (disabled on screens <992px)', 'avala' ),
		'value' => array(
				esc_html__( 'No margin', 'avala' ) 	=> '',
				esc_html__( 'Extra small', 'avala' ) 	=> 'extrasmall',
				esc_html__( 'Small', 'avala' ) 		=> 'small',
				esc_html__( 'Normal', 'avala' ) 		=> 'normal',
				esc_html__( 'Medium', 'avala' ) 		=> 'medium',
				esc_html__( 'Large', 'avala' ) 		=> 'large',
				esc_html__( 'Extra large', 'avala' ) 	=> 'extralarge',
				esc_html__( 'Huge', 'avala' ) 		=> 'huge',
				esc_html__( '5px', 'avala' ) 			=> '5',
				esc_html__( '10px', 'avala' ) 		=> '10',
				esc_html__( '15px', 'avala' ) 		=> '15',
				esc_html__( '20px', 'avala' ) 		=> '20',
				esc_html__( '25px', 'avala' ) 		=> '25',
				esc_html__( '30px', 'avala' ) 		=> '30',
				esc_html__( '35px', 'avala' ) 		=> '35',
				esc_html__( '40px', 'avala' ) 		=> '40',
				esc_html__( '45px', 'avala' ) 		=> '45',
				esc_html__( '50px', 'avala' ) 		=> '50',
				esc_html__( '55px', 'avala' ) 		=> '55',
				esc_html__( '60px', 'avala' ) 		=> '60',
				esc_html__( '65px', 'avala' ) 		=> '65',
				esc_html__( '70px', 'avala' ) 		=> '70',
				esc_html__( '75px', 'avala' ) 		=> '75',
				esc_html__( '80px', 'avala' ) 		=> '80',
				esc_html__( '85px', 'avala' ) 		=> '85',
				esc_html__( '90px', 'avala' ) 		=> '90',
				esc_html__( '95px', 'avala' ) 		=> '95',
				esc_html__( '100px', 'avala' ) 		=> '100'
			)
		),
		array( 'param_name' => 'inner_gap', 'type' => 'dropdown', 'heading' => esc_html__( 'Inner Gap', 'avala' ), 'group' => esc_html__( 'Content', 'avala' ),
			'value' => array(
				esc_html__( '0px', 'avala' ) 		=> '',
				esc_html__( '5px', 'avala' ) 		=> '5px',
				esc_html__( '10px', 'avala' ) 	=> '10px',
				esc_html__( '20px', 'avala' ) 	=> '20px',
				esc_html__( '30px', 'avala' ) 	=> '30px',
				esc_html__( '40px', 'avala' ) 	=> '40px',
				esc_html__( '50px', 'avala' ) 	=> '50px',
				esc_html__( '60px', 'avala' ) 	=> '60px',
				esc_html__( '70px', 'avala' ) 	=> '70px',
				esc_html__( '80px', 'avala' ) 	=> '80px',
				esc_html__( '90px', 'avala' ) 	=> '90px',
				esc_html__( '100px', 'avala' ) 	=> '100px'
			)
		),
	));
}

function avala_bt_bb_image_class( $class, $atts ) {
	if ( isset( $atts['negative_margin'] ) && $atts['negative_margin'] != '' ) {
		$class[] = 'bt_bb_negative_margin' . '_' . $atts['negative_margin'];
	}
	if ( isset( $atts['left_margin'] ) && $atts['left_margin'] != '' ) {
		$class[] = 'bt_bb_left_margin' . '_' . $atts['left_margin'];
	}
	if ( isset( $atts['right_margin'] ) && $atts['right_margin'] != '' ) {
		$class[] = 'bt_bb_right_margin' . '_' . $atts['right_margin'];
	}
	if ( isset( $atts['bottom_margin'] ) && $atts['bottom_margin'] != '' ) {
		$class[] = 'bt_bb_bottom_margin' . '_' . $atts['bottom_margin'];
	}
	if ( isset( $atts['inner_gap'] ) && $atts['inner_gap'] != '' ) {
		$class[] = 'bt_bb_inner_gap' . '_' . $atts['inner_gap'];
	}
	return $class;
}

add_filter( 'bt_bb_image_class', 'avala_bt_bb_image_class', 10, 2 );


// ACCORDION - REMOVED STYLE, SHAPE

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_accordion', 'style' );
}

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_accordion', 'shape' );
}


// IMAGE SLIDER

if ( function_exists( 'bt_bb_remove_params' ) ) {
	bt_bb_remove_params( 'bt_bb_slider', 'show_dots' );
}

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_slider', array(
		array( 'param_name' => 'show_dots', 'type' => 'dropdown', 'heading' => esc_html__( 'Navigation position', 'avala' ),
			'value' => array(
				esc_html__( 'Bottom', 'avala' ) 			=> 'bottom',
				esc_html__( 'Below', 'avala' ) 			=> 'below',
				esc_html__( 'Hide', 'avala' ) 			=> 'hide'
			)
		),
		array( 'param_name' => 'navigation_color', 'type' => 'dropdown', 'heading' => esc_html__( 'Navigation color', 'avala' ),
			'value' => array(
				esc_html__( 'Accent', 'avala' ) 			=> '',
				esc_html__( 'Dark', 'avala' ) 			=> 'dark',
				esc_html__( 'Light', 'avala' ) 			=> 'light',
				esc_html__( 'Alternate', 'avala' ) 		=> 'alternate'
			)
		),
	));
}

function avala_bt_bb_slider_class( $class, $atts ) {
	if ( isset( $atts['navigation_color'] ) && $atts['navigation_color'] != '' ) {
		$class[] = 'bt_bb_navigation_color' . '_' . $atts['navigation_color'];
	}
	return $class;
}

add_filter( 'bt_bb_slider_class', 'avala_bt_bb_slider_class', 10, 2 );

// SECTION

if ( function_exists( 'bt_bb_add_params' ) ) {
	bt_bb_add_params( 'bt_bb_section', array(
		array( 'param_name' => 'allow_content_outside', 'type' => 'dropdown', 'heading' => esc_html__( 'Top & Bottom Coverage Images position', 'avala' ), 'group' => esc_html__( 'Design', 'avala' ),
			'value' => array(
				esc_html__( 'Top & Bottom Coverage Image above content', 'avala' ) 			=> '',
				esc_html__( 'Top & Bottom Coverage Image under content', 'avala' ) 			=> 'under',
				esc_html__( 'Only Top Coverage Image under content', 'avala' ) 				=> 'top_under',
				esc_html__( 'Bottom Coverage Image under content', 'avala' ) 					=> 'bottom_under'
			)
		),
	));
}

function avala_bt_bb_section_class( $class, $atts ) {
	if ( isset( $atts['allow_content_outside'] ) && $atts['allow_content_outside'] == 'yes' ) {
		// $class[] = 'bt_bb_section_allow_content_outside_' . $atts['allow_content_outside'];
		$class[] = 'bt_bb_section_allow_content_outside';
	}
	return $class;
}
add_filter( 'bt_bb_section_class', 'avala_bt_bb_section_class', 10, 2 );

function avala_bt_bb_fe( $elements ) {

	$elements[ 'bt_bb_background_letter' ] = array(
		'edit_box_selector' => '',
		'params' => array(
			'letter'		=> array( 'js_handler' => array( 'target_selector' => '.bt_bb_background_letter_letter', 'type' => 'inner_html' ) ),
			'color'			=> array( 'js_handler' => array( 'target_selector' => '', 'type' => 'class' ) ),
			'opacity'		=> array( 'js_handler' => array( 'target_selector' => '', 'type' => 'class' ) ),
		),
	);
	$elements[ 'bt_bb_date' ] = array(
		'edit_box_selector' => '',
		'params' => array(
			'month'			=> array( 'js_handler' => array( 'target_selector' => '.bt_bb_date_month', 'type' => 'inner_html' ) ),
			'day'			=> array( 'js_handler' => array( 'target_selector' => '.bt_bb_date_day', 'type' => 'inner_html' ) ),
			'year'			=> array( 'js_handler' => array( 'target_selector' => '.bt_bb_date_year', 'type' => 'inner_html' ) ),
			'color_scheme'  => array( 'ajax_filter' => array( 'class' ) ),
		),
	);
	$elements[ 'bt_bb_floating_image' ] = array(
		'edit_box_selector' => '',
		'params' => array(
			'image'			=>  array(),
		),
	);
	$elements[ 'bt_bb_inner_timeline' ] = array(
		'edit_box_selector' => '',
		'params' => array(
			'icon'					=> array(),
			'image' 				=> array(),
			//'image_border' 			=> array( 'js_handler' => array( 'target_selector' => '', 'type' => 'class' ) ),
			//'icon_style' 			=> array( 'js_handler' => array( 'target_selector' => '', 'type' => 'class' ) ),
			//'icon_color_scheme'     => array( 'js_handler' => array( 'target_selector' => '', 'type' => 'class' ) ),
		),
	);
	$elements[ 'bt_bb_link' ] = array(
		'edit_box_selector' => '',
		'params' => array(
			'text'					=> array( 'js_handler' => array( 'target_selector' => '.bt_bb_link  .bt_bb_headline_content span', 'type' => 'inner_html' ) ),
			'url'					=> array( 'js_handler' => array( 'target_selector' => 'a', 'type' => 'attr', 'attr' => 'href' ) ),
			'target' 				=> array( 'js_handler' => array( 'target_selector' => 'a', 'type' => 'attr', 'attr' => 'target' ) ),
			'color_scheme' 			=> array( 'ajax_filter' => array( 'class' ) ),
		),
	);
	$elements[ 'bt_bb_promo' ] = array(
		'edit_box_selector' => '',
		'params' => array(
			'old_price'				=> array( 'js_handler' => array( 'target_selector' => '.bt_bb_promo_old_price', 'type' => 'inner_html' ) ),
			'new_price'				=> array( 'js_handler' => array( 'target_selector' => '.bt_bb_promo_new_price', 'type' => 'inner_html' ) ),
			'url'					=> array( 'js_handler' => array( 'target_selector' => 'a', 'type' => 'attr', 'attr' => 'href' ) ),
			'target' 				=> array( 'js_handler' => array( 'target_selector' => 'a', 'type' => 'attr', 'attr' => 'target' ) ),
			'color_scheme' 			=> array( 'ajax_filter' => array( 'class' ) ),
		),
	);
	$elements[ 'bt_bb_testimonial' ] = array(
		'edit_box_selector' => '',
		'params' => array(
			'name'					=> array( 'js_handler' => array( 'target_selector' => '.bt_bb_testimonial_name .bt_bb_headline_superheadline', 'type' => 'inner_html' ) ),
			'text'					=> array( 'js_handler' => array( 'target_selector' => '.bt_bb_testimonial_text .bt_bb_headline_content span', 'type' => 'inner_html' ) ),
			'image'					=> array(),
			'url'					=> array( 'js_handler' => array( 'target_selector' => 'a', 'type' => 'attr', 'attr' => 'href' ) ),
			'target' 				=> array( 'js_handler' => array( 'target_selector' => 'a', 'type' => 'attr', 'attr' => 'target' ) ),			
			'url_text'				=> array( 'js_handler' => array( 'target_selector' => '.bt_bb_testimonial_details span', 'type' => 'inner_html' ) ),
			'icon_style'			=> array( 'js_handler' => array( 'target_selector' => '', 'type' => 'class' ) ),
		),
	);
	$elements[ 'bt_bb_timeline' ] = array(
		'edit_box_selector' => '',
		'params' => array(
			'color_scheme'			=> array( 'ajax_filter' => array( 'class' ) ),
			'padding'				=> array( 'js_handler' => array( 'target_selector' => '', 'type' => 'class' ) ),
		),
	);

	return $elements;
}
add_filter( 'bt_bb_fe_elements', 'avala_bt_bb_fe' );

			
