<?php

/**
 * Color schemes
 */

if ( ! function_exists( 'avala_color_schemes' ) ) {
	function avala_color_schemes( $color_scheme_arr ) {

		$theme_color_schemes = array();
		
		/* Color scheme 01 */ $theme_color_schemes[] = 'dark-skin;Light font, dark background;#ffffff;#181818';
		/* Color scheme 02 */ $theme_color_schemes[] = 'light-skin;Dark font, light background;#181818;#ffffff';
		/* Color scheme 03 */ $theme_color_schemes[] = 'accent-light-skin;Accent font, dark background (or details);' . boldthemes_get_option( 'accent_color' ) . ';#181818';
		/* Color scheme 04 */ $theme_color_schemes[] = 'accent-dark-skin;Accent font, light background (or details);' . boldthemes_get_option( 'accent_color' ) . ';#ffffff';
		/* Color scheme 05 */ $theme_color_schemes[] = 'light-accent-skin;Dark font, accent background (or details);#181818;' . boldthemes_get_option( 'accent_color' );
		/* Color scheme 06 */ $theme_color_schemes[] = 'dark-accent-skin;Light font, accent background (or details);#ffffff;' . boldthemes_get_option( 'accent_color' );
		/* Color scheme 07 */ $theme_color_schemes[] = 'alternate-light-skin;Alternate font, dark background (or details);' . boldthemes_get_option( 'alternate_color' ) . ';#181818';
		/* Color scheme 08 */ $theme_color_schemes[] = 'alternate-dark-skin;Alternate font, light background (or details);' . boldthemes_get_option( 'alternate_color' ) . ';#ffffff';
		/* Color scheme 09 */ $theme_color_schemes[] = 'light-alternate-skin;Dark font, alternate background (or details);#181818;' . boldthemes_get_option( 'alternate_color' );
		/* Color scheme 10 */ $theme_color_schemes[] = 'dark-alternate-skin;Light font, alternate background (or details);#ffffff;' . boldthemes_get_option( 'alternate_color' );
		/* Color scheme 11 */ $theme_color_schemes[] = 'alternate-accent-skin;Accent font, alternate background (or details);' . boldthemes_get_option( 'accent_color' ) . ';' . boldthemes_get_option( 'alternate_color' );
		/* Color scheme 12 */ $theme_color_schemes[] = 'accent-alternate-skin;Alternate font, accent background (or details);' . boldthemes_get_option( 'alternate_color' ) . ';' . boldthemes_get_option( 'accent_color' );
		/* Color scheme 13 */ $theme_color_schemes[] = 'gray-background;Dark font, light gray background (or details);#181818;#faf8f7';
		/* Color scheme 14 */ $theme_color_schemes[] = 'accent-beige-skin;Accent font, light beige background (or details);' . boldthemes_get_option( 'accent_color' ) . ';#f8f7f4';
		/* Color scheme 15 */ $theme_color_schemes[] = 'gray-pink-skin;Gray font, light pink background (or details);#7c7c7c;#f8f3f2';
		/* Color scheme 16 */ $theme_color_schemes[] = 'alternate-beige-skin;Alternate font, light beige background (or details);' . boldthemes_get_option( 'alternate_color' ) . ';#f8f7f4';
		/* Color scheme 17 */ $theme_color_schemes[] = 'light-gray-background;Dark gray font, light gray background (or details);#7c7c7c;#faf8f7';
		/* Color scheme 18 */ $theme_color_schemes[] = 'gray-light-skin;Gray font, light background (or details);#7c7c7c;#ffffff';
		/* Color scheme 19 */ $theme_color_schemes[] = 'dark-green-gray-skin;All Dark green (font, background or details);#445963;#445963';
		/* Color scheme 20 */ $theme_color_schemes[] = 'dark-green-pink-skin;Dark green font, light pink background (or details);#445963;#f9d4d2';
		/* Color scheme 21 */ $theme_color_schemes[] = 'dark-green-lightgray-skin;Dark green font, light gray background (or details);#445963;#faf8f7';
		/* Color scheme 22 */ $theme_color_schemes[] = 'dark-green-yellow-skin;Dark green font, light yellow background (or details);#445963;#ffedca';
		/* Color scheme 23 */ $theme_color_schemes[] = 'alternate-gray-skin;Alternate font, light gray background (or details);' . boldthemes_get_option( 'alternate_color' ) . ';#f7f7f7';
		/* Color scheme 24 */ $theme_color_schemes[] = 'dark-green-mint-skin;Dark green font, mint green background (or details);#445963;#d1e8da';






		return array_merge( $theme_color_schemes, $color_scheme_arr );
	}
}

/*

Black/White;#000;#fff
White/Black;#fff;#000
LightGray/Black;#e2e2e2;#000
Black/LightGray;#000;#e2e2e2
DarkGray/White;#333335;#fff
White/DarkGray;#fff;#333335

*/

/*
* set content width
*/
if ( ! isset( $content_width ) ) {
	$content_width = 1200;
}

/**
 * Change number of related products
 */
if ( ! function_exists( 'boldthemes_change_number_related_products' ) ) {
	function boldthemes_change_number_related_products( $args ) {
		$args['posts_per_page'] = 4; // # of related products
		$args['columns'] = 4; // # of columns per row
		return $args;
	}
}

/**
 * Loop shop per page
 */
 
if ( ! function_exists( 'boldthemes_loop_shop_per_page' ) ) {
	function boldthemes_loop_shop_per_page( $cols ) {
		return 9;
	}
}

/**
 * Loop columns
 */
if ( ! function_exists( 'boldthemes_loop_shop_columns' ) ) {
	function boldthemes_loop_shop_columns() {
		return 3; // 3 products per row
	}
}